Using Windows Media Player: recommended links

You can use Windows Media Player to find and play digital media files that are on your computer, play CDs and DVDs, and play digital media streams from the Internet. In addition, you can rip music from audio CDs, burn CDs of your favorite music, sync digital media files to portable devices, and find and purchase digital media content on the Internet through online stores.

Not sure where to begin? See Getting started to learn about the key tasks you can perform in the Player. Or, click one of the following links:

  • Play an audio or video file

  • Play a CD or DVD

  • Use the Player library to organize your digital media collection

  • Burn your own CDs or DVDs

  • Rip music from a CD

  • Set up a device to sync

  • Shop for digital media content online

  • Troubleshoot problems

Windows Media Player Help contains basic information about using the Player. Several other resources are available on the Internet for specific help needs:

  • Windows Media Player online Web page. Contains content tailored for beginners and can help you use the Player to discover, play, and take your digital media content anywhere.

  • Troubleshooting Web page. Contains links to a variety of support resources, including the Frequently Asked Questions (FAQ) page and the Player newsgroup.

  • Windows Media Knowledge Center Web page. Contains an extensive collection of books, articles, videos, and technical documents that showcase Windows Media tools and technologies.

© 2006 Microsoft Corporation. All rights reserved.


Getting started with Windows Media Player

Show All

Windows Media Player provides an intuitive, easy-to-use interface for you to play digital media files, organize your digital media collection, burn CDs of your favorite music, rip music from CDs, sync digital media files to a portable music player, and shop for digital media content from online stores.

Use the tabs to make tasks easier

The tabs on the Player taskbar make it easy for you to focus on a specific task.

Picture of the tabs on the Player taskbar
Player taskbar

To get started, switch to the tab that corresponds to the task you want to complete. The arrow that appears below each tab provides you with quick access to options and settings related to that task. For example, it is easy to change the format for files you are ripping by clicking the arrow below the Rip tab.

Picture of the Rip Options menu
Rip Options menu

As you switch between various tabs and views in the Player, you can use the Back and Forward buttons on the left side of the taskbar to retrace your steps.

Picture of the Back and Forward buttons
Back and Forward buttons

Click the following links to find out about the tasks you can perform on each tab.

click to expand Now Playing

The Now Playing tab is the key place for watching your digital media content. Use this tab to do any of the following:

  • Play a CD or DVD

  • Watch visualizations while playing music

  • Shuffle and repeat the items you are playing

  • Change volume and other audio settings

  • Switch to full-screen mode

click to expand Library

Use the Library tab to access and organize your digital media collection. Use the address bar to switch to a category, such as music, pictures, or video, and then select a view of that category in the Navigation pane. For example, switch to the Music category and then click Genre in the Navigation pane to see all of your music organized by genre. You can drag items from the Details pane to the List pane to create a playlist that you want to play, burn, or sync.

Picture of library areas
Library areas

Use this tab to do any of the following:

  • Play an audio or video file

  • Find items in the library

  • Add items to the library

  • Remove items from the library

  • Create and play playlists

  • Add or edit media information

  • Add or change album art

click to expand Rip

Use the Rip tab when you want to rip, or copy, music from your CDs. Ripping is a great way of adding files to your Player library. Use this tab to do any of the following:

  • Rip music from a CD

  • Change settings, including the format or bit rate, for how music is ripped

click to expand Burn

If you like more flexibility in what you listen to, or want to listen to a mix of music while away from your computer, you can burn CDs that contain any combination of music that you want. You can play audio CDs that you burn with the Player in any standard CD player. Use the Burn tab to do any of the following:

  • Burn music to a CD

  • Change settings for how digital media files are burned

click to expand Sync

You can use the Player to sync music, video, and pictures to a wide choice of portable devices, including portable media players, storage cards, and Portable Media Centers. Simply connect a supported device to your computer, the Player will select the sync method (automatic or manual) that is best for your device. Then you can sync files and playlists in your library to your device. Use this tab to do any of the following:

  • Set up a device to sync

  • Select items to sync manually

click to expand Shopping

Use the Online Stores tab to Shop online stores on the Internet.

Create lists easily with the List pane

Many of the tasks you perform in the Player, such as burning music to a CD, require that you set up a list as part of completing the task. This release of the Player makes it easy to create lists by using the List pane on the right side of the Player.

Picture of the List pane
List pane

If the List pane is not visible in the library, click the Show List pane button Picture of the Show List pane button near the search box. (If the List pane is not visible in Now Playing, click the arrow below the Now Playing tab, and then click Show List Pane.) You have several options for moving items to the List pane:

  • Drag items such as songs or albums to the List pane from the Details pane of the Player library or from a folder on your computer

  • Right-click an item in the Details pane and then click Add to "Untitled Playlist"

  • Right-click a file on your computer and then click Add to Windows Media Player list


Playing music and video

You can use Windows Media Player to play digital media content, adjust the audio volume and control how audio sounds, change to a display mode that suits your needs, and play files that are protected with media usage rights.

This section covers:

  • Playing files, discs, and streams from the Internet
  • Changing volume and other audio settings
  • Changing the Player size and display mode
  • Using protected files


Playing files, discs, and streams from the Internet

You can use Windows Media Player to play digital media files, stream content from the Internet, and to play CDs and DVDs. You can also use the Player to control how content plays.

This section covers:

  • Play an audio or video file
  • Play a CD or DVD
  • Eject a CD or DVD
  • Shuffle and repeat items
  • Change playback speed
  • Change the file types that play in the Player
  • Which protocols does the Player use for streaming?
  • View playback statistics
  • Play special features on a DVD
  • Show captions or subtitles
  • 3Language settings FAQ
  • Show lyrics when playing music


Play an audio or video file

Show All

You can use Windows Media Player to play digital media files that are in your Player library, on your computer or a network folder, or on a Web site.

If you find that files play back too quickly in the Player, try installing new drivers for your sound card. For more information, see the manufacturer's Web site or check for driver updates on the Windows Update Web site.

click to expand To play a file in your library

  1. Click the Library tab, and then browse or search for the item that you want to play.

    If the library doesn't display the media type you are looking for (for example, it shows your music but you want to see your videos instead), on the address bar, click the Select a category button Picture of the Select a category button, and then click a different category.

  2. Do one of the following:

    • Drag an item to the List pane.

      You can drag individual items (such as one or more songs) or collections of items (such as one or more albums, artists, genres, years, or ratings) to the List pane.

      If the List pane is not visible, click the Show List pane button Picture of the Show List pane button near the search box.

      If the List pane already contains other items, you can clear the contents by clicking the Clear List pane button Picture of the Clear List pane button.

    • Double-click the item to begin playing it.

      Depending upon what you double-click, several items might be played. To play a single item, drag the item to List pane instead.

    3. Note image Note

    • If the Player can't play a particular file, the issue may be related to media usage rights. See the DRM FAQ for more information on resolving media usage rights problems.

click to expand To play a paused or stopped file

  1. Click the Play button Picture of the Play button .

  2. To move to a specific point in the file, move the Seek slider Picture of the Seek slider to the point that you want the file to play.

    The slider is unavailable for some files.

click to expand To play a file on a Web page

  • Click the link on the Web page.

    If you have difficulty playing files on Web pages when using a Netscape browser, you may need to reinstall the Windows Media Player Plug-in for Netscape Navigator from the Microsoft Web site. To add or remove a plug-in, you must be logged on as an administrator or a member of the Administrators group.

click to expand To play a file that is not in your library

  1. Click the File menu, and then click Open.

    If the File menu is not visible, show the Classic Menus.

  2. Navigate to the appropriate location, click the file, and then click Open. You can specify the following kinds of locations:

    • \\server\content\filename

    • file://\\server\content\filename

click to expand To play a file on the Internet by entering the URL to the file

  1. Click the File menu, and then click Open URL.

    If the File menu is not visible, show the Classic Menus.

  2. Type the URL to the file, and then click OK. You can specify the following kinds of locations:

    • mms://server/filename (for example, a file with a .wma, .wmv, or .mp3 extension)

    • http://server/filename

    • mms://server/sami.asf?SAMI=http://server/sami/sami_demo.smi (Synchronized Accessible Media Interchange (SAMI) file)

click to expand To play a section of a file

    Some files contain markers, which are like tracks on a CD. If you are playing a file that contains markers, you can jump to the section of the file you want by selecting the marker for that section.

  • Click the View menu, point to File Markers, and then click the marker you want.

    If the View menu is not visible, show the Classic Menus.

click to expand To continue playing files when switching users

    The Player automatically stops playing a file when you use the Fast User Switching feature to change which user is using the computer. If you want playback to continue, do the following:

  1. Click the arrow below the Now Playing tab, and then click More Options.

  2. On the Player tab, clear the Stop playback when switching to a different user check box.

click to expand To always play files in compact mode

    You can choose to play files that have a consistent file name in compact mode. This is useful, for example, if your company routes voice mail messages to your e-mail program. Note that if the Player is already running when you play the file, the Player will remain in its current display mode.

  1. Click the arrow below the Now Playing tab, and then click More Options.

  2. On the Player tab, select the Start in compact mode for file names that contain this text check box.

  3. In the text box, type all or part of the file name that you want to play in compact mode.

    If the playback of a song or video was interrupted by listening to another media item, such as a voicemail recording, press CTRL+B to resume playback of the original item.

See also

Change the file types that play


Play a CD or DVD

Show All

Using Windows Media Player, you can play audio CDs or data CDs that contain music or video files (also known as media CDs) and video CDs (VCDs). VCDs are similar to DVDs, although the video quality is not as high.

To play DVDs, you must have a DVD drive and a compatible DVD decoder installed on your computer. If you encounter an error that indicates that you are missing a DVD decoder, click Web Help on the error message dialog box to determine how to obtain one.

click to expand To play a CD or DVD

  1. Start the Player and insert the CD or DVD you want to play into the drive. Typically, the disc will start playing. If it doesn't, or if you want to select a disc that is already inserted, click the arrow below the Now Playing tab, and then click the drive that contains the disc.

  2. For a DVD or VCD, do the following, if appropriate:

    • In the List pane, click a DVD title or chapter name.

    • In the List pane, double-click a VCD segment.

click to expand To skip songs when playing a CD

    You can skip songs that you do not like when playing a CD. To skip a song, do the following:

  1. Click the Now Playing tab.

  2. Click the Next button Picture of the Next button while the song is playing. The song will be skipped and become dimmed in the playlist. If repeat is turned on, the song will not be played during that playback session. If you accidentally skip a song you'd like to hear, double-click the song in the playlist. It will be played immediately and won't be skipped anymore.

See also

Eject a CD or DVD

Play special features on a DVD


Eject a CD or DVD

  • In the Navigation pane of Windows Media Player, right-click the disc you want to eject, and then click Eject.


Shuffle and repeat items in Windows Media Player

In Windows Media Player, content that you are playing appears in the List pane on the Now Playing tab. You can change the order in which the items play by turning on shuffle play, which will make items in the List pane play in a random order. You can also choose to play the items repeatedly. When you turn on repeat play, all items in the List pane will play once and then begin playing again. You can also turn on both shuffle and repeat at the same time. Note that it is not possible to shuffle or repeat DVDs.

Turning on shuffle or repeat does not change the display order in the List pane. To play only one file repeatedly, check that it is the only file displayed in the List pane.

  • Do one or both of the following:

    • To shuffle items, click the Turn shuffle on button Picture of the Turn shuffle on button.

    • To repeat items, click the Turn repeat on button Picture of the Turn repeat on button.

    Shuffle and repeat play remain on until you click the buttons again to turn them off.

For information about how to edit a playlist by using the Shuffle List Now command, see Create or change a regular playlist.


Change playback speed in Windows Media Player

Show All

Using Windows Media Player, you can speed up, slow down, or reverse playback. In addition, you can advance the video one frame at a time if the video file you are playing supports it.

click to expand To fast-forward or rewind a file

  • To fast-forward an audio or video file that you are playing, click and hold the Next button Picture of the Next button until fast-forward begins. When you reach the point at which you want to resume normal playback, release the Next button Picture of the Next button. To rewind (video files only), click and hold the Previous button Picture of the Previous button until the file begins to rewind. When you reach the point at which you want to resume normal playback, release the Previous button Picture of the Previous button.

click to expand To play content at variable speeds

    You can change the speed at which content plays in the Player. For example, you can slow down the playback speed if you are taking notes while watching a training video, or you can speed up the slow sections of a presentation.

  1. Begin playing a file.

  2. Click the arrow below the Now Playing tab, point to Enhancements, and then click Play Speed Settings.

  3. Move the Play Speed slider to the speed at which you want to play the content, or click the Slow, Normal, or Fast link.

    To select speeds between the labeled play speeds, in the Enhancements pane, clear the Snap slider to common speeds check box.

  4. To hide the settings, click the Close button Picture of the Close button in the Enhancements pane.

click to expand To advance video one frame at a time

    Some video files support viewing one frame at a time.

  1. Play a video file.

  2. Click the arrow below the Now Playing tab, point to Enhancements, and then click Play Speed Settings.

  3. In the Enhancements pane, click the Next Enhancement button Picture of the Next enhancement button until Play Speed Settings is displayed.

  4. Do one of following:

    • To move the video forward one frame, click the Next frame button Picture of the Next frame button.

    • To move the video backward one frame, click the Previous frame button Picture of the Previous frame button.

  5. To return to normal play speed, click Normal.

  6. To hide the settings, click the Close button Picture of the Close button in the Enhancements pane.


Change the file types that play in Windows Media Player

You can make Windows Media Player the default player for a number of file types (formats). You must be logged on as an administrator or a member of the Administrators group to change the file types that the Player will play by default.

  1. Click the arrow below the Now Playing tab, click More Options, and then click the File Types tab.

  2. Select the check boxes of the file types for which you want the Player to be the default player.

    The Player may not be able to play a file even though you have selected its file type. This can occur if the file uses a codec that is not installed on your computer. For information about codecs, including how to download them, see the Codecs FAQ.

    The Player can play other file types but cannot be set as the default player for them. For more information about all of the file types that the Player supports, see the Microsoft Web site.

  3. Clear the check boxes of the file types (formats) for which you do not want the Player to be the default player.

    Clearing the check box next to a file type restores the file type association to the previous default player, if one was specified. If no default player was previously specified and you try to play a file, a Windows dialog box will be displayed so that you can select the program you want to play the file.

  4. If a check box appears dimmed, the Player has only partial ownership of the file type. Multiple file name extensions are assigned to the file type, but the Player only plays some of those extensions by default. To give the Player full ownership of a file type, double-click the dimmed check box.

Note image Notes

  • Other multimedia playback programs on your computer may interfere with your Player file types settings or prevent you from specifying the Player as the default player for a selected file type. To override the file types settings and specify Windows Media Player as the default player for all of the file types in the list, use the Set Program Access and Defaults feature in Windows. To do so, click Start, point to All Programs, click Set Program Access and Defaults, and then choose the Custom configuration that specifies Windows Media Player as the default media player.

  • Your AutoPlay settings may affect your Player file types settings. For more information about AutoPlay, see Windows Help and Support.

  • The Player may not be able to play a file even though you have selected its file type. This can occur if the file uses a codec that is not installed on your computer. For information about codecs, including how to download them, see the Codecs FAQ.

  • The Player can play other file types but cannot be set as the default player for them. For more information about all of the file types that the Player supports, see the article Windows Media Player multimedia file formats.


Which protocols does Windows Media Player use for streaming?

Show All

You can use Windows Media Player to play digital media content that is streamed from the Internet. To ensure that a Windows Media server can establish the optimal connection to the Player depending upon its environment, the Player is configured to receive streams automatically from any of the following streaming protocols: User Datagram Protocol (UDP), Transmission Control Protocol (TCP), and Hypertext Transfer Protocol (HTTP). The Player can also receive a multicast stream. UDP and TCP are basic networking protocols that are used in combination with the Real Time Streaming Protocol (RTSP) protocol, which manage the high-level exchange of data.

Note that if you are on a public network, such as at a coffee shop or an airport, Windows Firewall might block UDP and multicast streams from reaching the Player. To resolve this problem, open Windows Firewall, click the Exceptions tab, and then select the Windows Media Player check box. If this setting is not available, it might be controlled by Group Policy. For more information about Group Policy, contact your system administrator. For more information about using Windows Firewall, see Windows Help and Support.

click to expand To change protocol settings for the Player

  1. Click the arrow below the Now Playing tab, click More Options, and then click the Network tab.

  2. Make the changes you want.

    If you clear the TCP check box, or if your firewall blocks TCP streams, and the Player is configured to use the RTSP protocol, the Player will try to receive the streams by using the UDP protocol. If you also clear the UDP check box, or if your firewall blocks streams that use these protocols, and the Player is configured to use the RTSP protocol, the Player will try to receive the streams by using the HTTP protocol.

click to expand To change proxy settings for the Player

    If you connect to the Internet through a proxy server, the following steps provide information about proxy server settings you can configure for each protocol.

  1. Click the arrow below the Now Playing tab, click More Options, and then click the Network tab.

  2. In Streaming proxy settings, click the protocol you want to configure, and then click Configure. Change any of the following settings:

    • Autodetect proxy settings. Select this option if you want the Player to detect the proxy settings or automatic configuration settings automatically.

    • Use proxy settings of the Web browser. Select this option (available with the HTTP protocol only) if you want the Player to use the proxy settings of your default Web browser.

    • Do not use a proxy server. If you select this option, the Player will not try to communicate with a proxy server when connecting to the Internet. Typically, this means that the Player does not receive streaming content from the Internet.

    • Use the following proxy server. You can specify a proxy server to use by providing the name or IP address and port number of the proxy server that you want to use to connect to the Internet. The default port numbers are: HTTP (80) and RTSP (554). You can also choose the following options:

      • You can bypass proxy server for local addresses if you do not want the Player to use the proxy server for streams from your intranet. Because a proxy server acts as a security barrier between your intranet and the Internet, you may need extra permissions from your system administrator to gain access to Web pages through a proxy server.

      • You can specify addresses for which you do not want to use a proxy server. If you want to connect to a computer on your intranet, make sure that you type its address in this box. For example, for a computer named Joe1, type Joe1. You can use wildcard characters to match domain and host names or addresses, for example, www.*.com; 128.*, 240.*, *mygroup.*, *x*, and so on.


View playback statistics in Windows Media Player

You can view statistics about digital media files that you play, including information about the quality of file playback, frames dropped for video, your network's bandwidth, and the bit rate of the file that you are playing.

  1. Begin playing a file.

  2. Click the View menu, and then click Statistics.

  3. In the Statistics dialog box, click the Basic tab to view the bit rate of the file being played or the bandwidth of the content that is being streamed.

  4. Click the Advanced tab to view information about the quality of the file that is being played (bit rate or video information) or the content that is being streamed (connection and packet information).

    When you receive a stream from the Internet, the value that appears in Bandwidth in use may be higher than the value that is shown in Selected bit rate. This occurs because Bandwidth in use includes the total bandwidth, including overhead bandwidth that is used for the stream and for network traffic. Selected bit rate includes only the actual bit rate of the content that is being streamed.


Play special features on a DVD

Show All

Windows Media Player provides you with special features when you play a DVD that supports the special features. For example, you can set parental controls to prevent a child who uses your computer from playing a DVD that contains inappropriate content. Or you can change the camera angle or play special featues on a DVD.

To change parental control settings, you must be logged on as an administrator or a member of the Administrators group.

click to expand To turn on parental controls for DVDs

    The first step in using parental controls is to secure your computer with appropriate Windows user accounts and passwords. Once you have done so, you can assign a parental rating in the Player. Not all DVDs support this feature.

    To change parental control settings, you must be logged on as an administrator or a member of the Administrators group.

  1. Log on to your computer with an administrator account, and then assign passwords for all administrator accounts.

  2. Create a Limited or Restricted user account for each individual for whom you want to apply parental control settings.

    Only administrators can change the parental control setting.

  3. Start Windows Media Player, click the arrow below the Now Playing tab, click More Options, and then click the DVD tab.

  4. Click Change Settings.

  5. In Select a rating, select the Motion Picture Association of America (MPAA) rating that you want users with Limited accounts on your computer to be able to view. For example, select PG-13 if you want to prevent users with Limited accounts from viewing DVDs that are rated R or higher.

click to expand To change the camera angle of a DVD

  1. Play a DVD.

  2. Click the DVD button, point to Camera Angle, and then click the camera angle that you want to view.

    Note that not all DVDs support this feature.

click to expand To play special features on a DVD

  1. Play a DVD.

  2. Click the DVD button and then click Root Menu.

  3. Click the Now Playing tab, and then click the links to the special features, if applicable.

  4. Click the DVD button and then click Close Menu (resume).

    This procedure may vary depending on how the DVD that you are playing was authored. For example, after you click the DVD button, you may need to click Title Menu instead of Root Menu.

    Not all DVDs support this feature.

See also

Play a CD or DVD


Show captions or subtitles in Windows Media Player

When playing a Windows Media file or DVD that contains captions or subtitles, you can show the information in Windows Media Player.

  1. Click the Play menu, point to Lyrics, Captions, and Subtitles, and then click On if Available.

  2. Begin playing a file or DVD that contains captions or subtitles, and then click Now Playing. Subtitles appear on top of DVD videos, while captions appear below the video portion of Windows Media Video (WMV) files.

Note image Notes

  • If captions and subtitles appear even though you have not turned them on in the Player, verify that the sounds accessibility feature of Windows is not turned on.

  • If you are playing a Windows Media file or DVD that has captions or subtitles in a different language, you can change the language in which the captions or subtitles are displayed. For more information, see the Language settings FAQ.

  • The performance of the Player may degrade when showing subtitles or captions on computers that have limited video memory.


Windows Media Player language settings FAQ

Show All

Here are answers to some common questions about specifying language settings in for Windows Media files and DVDs in Windows Media Player. Note that not all Windows Media files and DVDs support multiple languages.

If the Play or View menus are not visible, show the Classic Menus.

click to expand How do I set the soundtrack language for one file or DVD?

Click the Play menu, point to Audio and Language Tracks, and then click the appropriate language. A bullet appears next to the language that is currently selected.

If you change the soundtrack language while progressively downloading a file, the file restarts from the beginning.

click to expand How do I set the soundtrack language for all Windows Media files or DVDs?

Click the Play menu, point to Audio and Language Tracks, and then click Defaults. The Default Language Settings dialog box is displayed. In the Audio language list, click the language in which you want the soundtrack to play by default.

If you change the soundtrack language while progressively downloading a file, the file restarts from the beginning.

click to expand How do I set the language for one DVD menu?

Click the View menu, point to DVD Features, and then click Root Menu. Refer to the DVD on-screen menu for further instructions, if available.

click to expand How do I set the language for all DVD menus?

Click the Play menu, point to Audio and Language Tracks, and then click Defaults. The Default Language Settings dialog box is displayed. In the DVD menu list, click the language in which you want DVD menus to be displayed.

click to expand How do I set the language for captions and subtitles for one file or DVD?

Click the Play menu, point to Lyrics, Captions, and Subtitles, and then click the appropriate language or other option. A bullet appears next to the language or option that is currently selected.

click to expand How do I set the language for all captions and subtitles?

Click the Play menu, point to Audio and Language Tracks, and then click Defaults. In the Captions and subtitles list, click the language in which you want the captions and subtitles for DVDs to be displayed. To always display closed captions instead of subtitles, click Closed Captions in the list.

Note image Note

  • Player performance may degrade when displaying closed captions or subtitles on computers with limited video memory.


Add and show lyrics in Windows Media Player

Show All

You can add lyrics to music files in Windows Media Player that appear in the Now Playing tab as you play the files. Lyrics can be either static or synchronized: Static lyrics appear all at once as text that you can scroll through as the file plays; synchronized lyrics appear at the times you set as the file plays.

click to expand To add static lyrics

  1. Navigate to a Web site that includes song lyrics and locate the artist, album, and songs for which you want lyrics. If you can't find the lyrics, or if you want to create your own lyrics, type them in a word processor or text editor.

  2. Select the text of the lyrics and copy it to the Clipboard by pressing CTRL+C.

  3. In the Player, click the Library tab, and then browse to the file that you want to add lyrics to.

  4. Right-click the file, and then click Advanced Tag Editor.

    If the Advanced Tag Editor command is not available, remove the Read Only property from the file. To do so, find the file on your computer, right-click the file, click Properties, and then clear the Read-only check box.

  5. Click the Lyrics tab, and then click Add.

  6. In the Language box, click the language that you want.

  7. Paste the lyrics into the Text box.

click to expand To add synchronized lyrics

    The easiest way to add synchronized lyrics is to convert a copy of the static lyrics for a song by using Advanced Tag Editor.

  1. Follow the steps in the procedure above to add static lyrics, being sure to press ENTER after each line of verse.

  2. In the Lyrics tab of the Advanced Tag Editor, click Synchronized Lyrics.

  3. Wait for the Player to load the static lyrics data into the timeline area. Each line of static lyrics is assigned a time on the timeline.

  4. Adjust the time values to synchronize the lyrics to the vocals in the song. To do so, click the value in the Time column for a verse, click Edit, and then type a new time value.

    You can test how closely the updated time values match the song's vocals by clicking a time value, and then clicking Play. The song will play starting at the new time. Repeat this step until you are satisfied with the synchronization.

  5. To add more lyrics, click Add in the timeline area. A new entry appears in the timeline area with an arbitrary assigned time on the left, and the text Type lyric here on the right.

  6. Add the text you want and synchronize the time to match the vocals.

  7. Add additional lyrics if you want, and then click OK.

  8. Click Apply, and then click OK.

click to expand To show lyrics

  1. Click the Play menu, point to Lyrics, Captions, and Subtitles, and then click On if Available.

  2. Begin playing the file that contains lyrics, and then click Now Playing. The lyrics appear at the bottom of the pane.

    If a file has both captions and lyrics, only the captions are displayed. If a file has both synchronized and static lyrics, the static lyrics are displayed until the time value for the first synchronized verse is reached, then the synchronized lyrics will replace the static lyrics. You can delete the static lyrics if you only want the synchronized lyrics to appear.

Note image Note

  • Unauthorized use and/or duplication of copyrighted material may be a violation of copyright law in the United States and/or other countries/regions. Copyrighted material includes, but is not limited to, software, documentation, graphics, lyrics, photographs, clip art, animations, movie and video clips, as well as sound and music (including when MP3 encoded). Violation of U.S. and international copyright laws may subject you to significant civil and/or criminal penalties.


Changing volume and other audio settings

When using Windows Media Player, you can adjust the volume level, control differences in volume both within and between songs, add transitions between songs, and change audio effects.

This section covers:

  • Change volume settings
  • Create smooth transitions between songs with crossfading
  • Change bass, stereo, and other audio effects


Change volume settings in Windows Media Player

Show All

You have several options for controlling volume in Windows Media Player, including adjusting the volume level, muting, and reducing volume differences either within a song or between songs. Remember that other software and hardware controls can affect the volume and audio effects settings in the Player. If you encounter problems, try adjusting your Windows audio settings, the physical controls on your speakers, subwoofer, or amplifier, or the settings in any other software used to configure the sound card in your computer. For information about how to adjust the speaker volume in Windows, see Windows Help and Support.

click to expand To adjust or mute volume

  • To increase or decrease the volume level, move the Volume slider Picture of the Volume slider. To mute the volume, click the Mute button Picture of the Mute button. To restore audio, click the Mute button again Picture of the Mute button.

click to expand To reduce volume differences within a song

    You can avoid wide swings in volume in a piece of music by reducing the difference between the loudest and softest sounds. This feature is available only with files that were encoded by using the Windows Media Audio 9 Lossless codec or Windows Media Audio 9 Professional codec.

  1. Click the arrow below the Now Playing tab, point to Enhancements, and then click Quiet Mode.

  2. Click the Turn on link, and then do one of the following:

    • For a smaller difference between loud and soft sounds, click Medium difference.

    • For the smallest difference between loud and soft sounds, click Little difference.

  3. To hide the settings, click the Close button Picture of the Close button in the Enhancements pane.

click to expand To reduce volume differences between songs

    If your songs play at different volume levels, you can have the Player level (also called normalize) the volume for you so that you don't have to manually adjust the volume when a new song starts. The Player does so by reading a volume-leveling value in a file, and then adjusting the volume accordingly during playback. Volume leveling is only available with files that are in Windows Media or MP3 format and contain a volume-leveling value. This value is automatically added to the files that are created during ripping. In addition, you can add this value to files on your computer that you have added to your Player library. Adding the value does not change either the quality of a file or how the file plays in other players or portable media devices. To turn on volume-leveling, do the following:

  1. Click the arrow below the Now Playing tab, point to Enhancements, and then click Crossfading and Auto Volume Leveling.

  2. Click the Turn on Auto Volume Leveling link.

  3. To add the volume-leveling value to a file, play the entire file. The Player will then level the volume for that file whenever you play it in the future.

  4. To hide the settings, click the Close button Picture of the Close button in the Enhancements pane.

  5. (Optional) To add a volume-leveling value to files, do the following:

    1. Click the arrow below the Library tab, and then click Add to Library.

    2. Click Advanced Options, and then select the Add volume-leveling values for all files (slow) check box.


Create smooth transitions between songs with crossfading

With Windows Media Player, you can create gradual transitions between songs in your playlists by turning on crossfading. When you do so, the volume at the end of one song fades out and gradually goes down while the volume of the next song fades in and gradually goes up. Crossfading is available only when you play Windows Media Audio (WMA) or MP3 files that are either in your library or on a data or HighMAT CD. Crossfading is not available with audio CDs.

  1. Click the arrow below the Now Playing tab, point to Enhancements, and then click Crossfading and Auto Volume Leveling.

  2. Click the Turn on Crossfading link, if visible.

  3. Move the slider to select the amount of time that you want the items to overlap.

  4. To hide the settings, click the Close button Picture of the Close button in the Enhancements pane.


Change bass, stereo, and other audio effects in Windows Media Player

Show All

In Windows Media Player, you can optimize bass, stereo, and other audio effects by turning on SRS WOW Effects. In addition, you can use the graphic equalizer to change certain frequencies in your music or choose between alternative dual mono Dolby digital audio streams. For more information about SRS WOW technologies, see the SRS Web site. Note that it is not possible to use SRS WOW effects when you are playing a DVD.

Other software and hardware controls can affect the volume and audio effects settings in the Player. If you encounter problems, try adjusting the audio settings in Windows, the controls on your speakers, subwoofer, or amplifier, or the settings in any other software used to configure the sound card in your computer. For information about how to adjust the speaker volume in Windows, see Windows Help and Support.

click to expand To optimize bass and stereo audio effects

  1. Click the arrow below the Now Playing tab, point to Enhancements, and then click SRS Wow Effects.

  2. Click the Turn on link, if visible, and then do any of the following:

    • To enhance the bass, move the TruBass slider to the right.

    • To enhance the stereo effect, move the WOW Effect slider to the right.

    • To optimize sound output according to your speaker size, click the speakers link until one of the following options appears: Normal Speakers, Large Speakers, or Headphones.

  3. To hide the settings, click the Close button Picture of the Close button in the Enhancements pane.

click to expand To set the graphic equalizer

  1. Click the arrow below the Now Playing tab, point to Enhancements, and then click Graphic Equalizer.

  2. Click the Turn on link, if visible, and then do one of the following:

    • Select an option, such as rock or jazz, from the Default list.

    • Create your own setting by moving the equalizer sliders to the levels that you want to use. Your changes are saved automatically to the Custom preset.

    • To control how the sliders move in relation to one another, click one of the slider option buttons to the left of the equalizer.

    • To revert to the default settings, click the Reset link.

  3. To hide the settings, click the Close button Picture of the Close button in the Enhancements pane.

click to expand To choose which dual mono Dolby digital audio stream to use

  1. Click the arrow below the Now Playing tab, point to Enhancements, and then click Graphic Equalizer.

  2. Move the Balance slider Picture of the Balance slider fully to the left or the right to select one audio stream to hear through your speakers.

  3. To hide the settings, click the Close button Picture of the Close button in the Enhancements pane.

    Dolby and the double-D symbol are registered trademarks of Dolby Laboratories. Manufactured under license from Dolby Laboratories. Dolby and the double-D symbol are trademarks of Dolby Laboratories. Confidential unpublished works. Copyright 1992–1997 Dolby Laboratories. All rights reserved.


Changing the Player size and display mode

Windows Media Player has five display modes that you can switch between, depending on what works best for the content you are viewing. You also have several options for resizing the Player to fit a video, viewing video in full screen, and displaying the Classic Menus (menu bar).

This section covers:

  • Switch between display modes
  • View a video using the entire screen
  • Resize the Player to fit a video
  • Show or hide the Classic Menus


Switch between display modes in Windows Media Player

Show All

Windows Media Player has five display modes: full (the default view), skin, full screen, compact, and mini Player. You can easily switch to the mode that works best for the content you are viewing.

click to expand To switch from full mode to compact mode

    Compact mode allows you to view just the Player controls.

  • Click the Switch to compact mode button Picture of the Switch to compact mode button near the bottom-right corner of the Player.

    Click the button again to restore the Player to full mode.

click to expand To switch from full mode to skin mode

    Skin mode allows you to use a customized, alternative view of the Player.

  • Press CTRL+2 to change the Player into the most recently selected skin.

    For more information about skin mode, see Change how the Player looks using skins.

click to expand To switch from skin mode to full mode

    Full mode is the default view of the Player. It provides full access to all of the Player features.

  • Right-click anywhere on the Player, and then click Switch to Full Mode.

click to expand To switch from full or skin mode to mini Player mode

    Mini Player mode allows you to minimize the Player to the Windows taskbar, while still having access to playback controls and the ability to view visualizations and information about the currently playing item.

  • Right-click an open area of the Windows taskbar (such as below the system clock), point to Toolbars, and then click Windows Media Player.

    This turns on the feature and only needs to be performed once. A check mark appears next to Windows Media Player to indicate that it is turned on. To switch to mini Player mode in the future, simply click the Minimize button in the Player.

click to expand To switch from mini Player mode to full or skin mode

  • In the mini Player, click anywhere in the Player that is not used as a button or volume control. The Player returns to the mode that it was in previously.

click to expand To switch from full or skin mode to full-screen mode

    Full-screen mode makes videos, DVDs, and pictures fill the entire screen when you play them.

  1. Begin playing (or pause playing) a video, TV show, DVD, or song with a visualization.

  2. Click the View full screen button Picture of the View full screen button, or press ALT+ENTER.

    To return to full mode, press ESC. For more information about full-screen mode, see View a video using the entire screen.


View a video using the entire screen in Windows Media Player

Show All

You can watch a video, TV show, DVD, or song with a visualization in Windows Media Player in full-screen mode. When the Player is in full-screen mode, you can control playback with either the on-screen controls that appear on top of the video or you can use the buttons and other controls on a compatible mouse.

click to expand To control playback with the on-screen controls

  1. While a video is either playing or paused, click the View full screen button Picture of the View full screen button, or press ALT+ENTER.

    When you switch to full-screen mode, the Player controls may appear for a short period of time (depending on the capabilities of your video card and the functionality of the video or DVD that you may be viewing). If you are unable to see the playback controls and you have not configured full-screen controls to be off, move your mouse to make them reappear.

  2. Click the playback controls near the bottom on the screen.

  3. To return to full mode, press ESC or move your mouse and press the Exit full-screen mode button Picture of the Exit full-screen mode button.

click to expand To control playback with the mouse

  1. Turn off the full-screen controls by doing the following:

    1. Click the arrow below the Now Playing tab, click More Options, and then click the Performance tab.

    2. Click Advanced.

    3. In the Video Acceleration section, clear the Display full-screen controls check box.

  2. While a video is either playing or paused, click the View full screen button Picture of the View full screen button, or press ALT+ENTER.

  3. The following table shows the various mouse playback controls. Use your mouse to perform any of the following tasks.

    To do this

    Use this mouse control

    Play or pause an item

    Click the left button

    Fast forward an item

    Press and hold the front thumb button

    Rewind an item

    Press and hold the back thumb button

    Skip to the previous item

    Click the back thumb button

    Skip to the next item

    Click the front thumb button

    Increase or decrease the volume

    Roll the mouse wheel away from you to increase the volume or toward you to decrease the volume

    Mute the volume or restore the volume

    Press the wheel button

    Display other commands

    Click the right button

  4. To return to full mode, press ESC.

    5. Note image Note

    • Not all mice are compatible with this feature.

See also

Keyboard shortcuts

Switch between display modes


Resize Windows Media Player to fit a video

Show All

You have two options for automatically controlling the size of the video or DVD you are watching in Windows Media Player; however, you can also resize the Player manually. The following table provides information about how the two automatic resize options work together.

This option | Does this
On/On | This is the recommended configuration. The Player automatically resizes to show the video at the best size (or the percentage that you set). In addition, the Player automatically resizes the video when you manually resize the Player.
On/Off | The video resizes to fit the dimensions of the Player. Any video size percentage you may have set is ignored.
Off/On | The Player resizes when you start playing a video; however, resizing the Player has no effect on the video dimensions (other than cropping the video if the Player is smaller than the video). If you already set a video size percentage, the Player resizes as necessary to fit the percentage that you set.
Off/Off | The video is resized to fit the video size percentage that you set (if the dimensions of the Player are large enough to fit the video at the specified percentage), or the video is cropped (if the Player dimensions are too small to fit the video at the specified percentage). Resizing the Player has no effect on the dimensions of the video (other than cropping the video if the Player is smaller than the video).

click to expand To select an automatic resize option

  • Click the View menu, point to Video Size, and then click one or both of the following:

    • A video size percentage or Fit Video to Player on Resize.

    • Fit Player to Video on Start.

click to expand To resize the Player manually

  • In full mode, drag the lower right corner of the Player in any direction.


Show or hide the Classic Menus in Windows Media Player

Show All

The Classic Menus (previously known as the menu bar) provide you access to most of the Player functions. They are hidden by default.

Although many of the functions in the Classic Menus also appear in the drop-down menus below the Now Playing, Library, Rip, Burn, and Sync tabs, you might want to show the Classic Menus to access the less frequently used commands that only appear on the File, View, Play, Tools, and Help menus.

click to expand To show the Classic Menus

  • Do one of the following:

    • Right-click an empty area of the taskbar (such as the area to the left of the Now Playing tab) or an empty area to the left or right of the playback controls, and then click Show Classic Menus.

    • Press CTRL+M.

click to expand To hide the Classic Menus

  • Do one of the following:

    • Click the View menu, and then click Classic Menus.

    • Press CTRL+M.


Using protected files

This section provides information about how you can use files that are protected with media usage rights, such as songs that you download from online stores. The technology used to create and use protected files is called digital rights management (DRM).

This section covers:

  • DRM FAQ


Windows Media Player DRM FAQ

Show All

Here are answers to some common questions about digital rights management (DRM), media usage rights, and protected Windows Media files. If you don't see your question listed here, see the Windows Media Player FAQ online.

click to expand What is DRM?

DRM stands for digital rights management. DRM is a technology used by content providers, such as online stores, to control how the digital music and video files you obtain from them are used and distributed. Online stores sell and rent songs and movies that have DRM applied to them.

Windows Media Player as well as most online stores and new devices support or use Windows Media Digital Rights Management 10 (DRM 10). For more information about devices that support Windows Media DRM, see the Find devices Web page.

click to expand What is a protected file?

A protected file is a file that has DRM applied to it.

click to expand What are media usage rights?

Media usage rights are permissions to use a protected file in a particular way. Content providers, such as online stores, can specify how you can use the protected files that you obtain from them. For example, a content provider can grant you the permission to play the file on your computer (a play right), to burn the file to an audio CD (a burn right), or to sync the file to a portable device (a sync right).

Each right can have certain qualities. For example, the content provider might grant you the following usage rights:

  • The right to play a particular song on your computer an unlimited number of times

  • The right to sync that song to two portable devices five times per month

  • The right to burn the song to an audio CD twice

click to expand Are media usage rights stored in the audio or video file?

No. Media usage rights are stored on your computer separately from your audio or video files. For information about how to view the usage rights of a protected file, see the question in this topic about finding out how you are allowed to use a protected file.

click to expand What is a license?

A license is another name for media usage rights.

click to expand How does the Player use media usage rights?

When you try to use a protected file in the Player, the Player checks to see if you have valid media usage rights installed on your computer. If the media usage rights permit you to perform the action that you have requested (for example, synchronizing the file to a device), the Player performs that action for you.

If the Player does not find valid media usage rights on your computer or if they do not permit you to perform the action that you have requested, the Player does not perform the action. Typically, the Player will either display an error message that indicates why it could not perform the action or it will display an Error button Picture of the Error button or an Information button Picture of the Information button beside the protected file that you can click or hover over for more information.

click to expand How do I download media usage rights?

In most cases, you don't need to worry about downloading media usage rights. The Player usually downloads them automatically when necessary.

However, there may be times when the Player cannot download media usage rights for you. In these cases, the Player typically displays a message that indicates what your options are. Just follow the instructions on the screen.

If the Player directs you to an online store, you might be required to enter your account name and password to proceed. The online store might require you to update your billing information or to pay a fee to download additional usage rights, such as the right to burn a song to an audio CD.

Note that the Player cannot download media usage rights automatically if the Download usage rights automatically when I play or sync a file option is turned off (by default, it is turned on). To verify that it is turned on, do the following:

  1. Click the arrow below the Now Playing tab, click More Options, and then click the Privacy tab.

  2. Verify that the Download usage rights automatically when I play or sync a file check box is selected.

In addition, if you subscribe to a music or video subscription service through an online store, it is recommended that you turn on the Automatically check if protected files need to be refreshed option (by default, it is turned on). When this option is turned on, the Player will periodically scan your library for purchased and subscription files that are missing media usage rights, files that have have expired rights, or files that have rights that are about to expire. The Player will then try to download the rights from the Internet. This helps improve the playback, burn, and sync experiences with purchased and subscription files. To verify that this option is turned on, do the following:

  1. Click the arrow below the Now Playing tab, click More Options, and then click the Privacy tab.

  2. Verify that the Automatically check if protected files need to be refreshed check box is selected.

If your computer is missing all the media usage rights for files that you have obtained from an online store, the store might offer a way to restore them. For more information, see the question in this topic about how to restore media usage rights.

click to expand How do I tell whether a file is protected?

There are several ways to tell whether a file is protected:

  • If you are in the library and you want to see which items are protected, you can display the Protected column in the Details pane. "Yes" appears in the Protected column beside each file that is protected. To sort by the value in the Protected column, click the column name.

    For information about changing the columns that are displayed in the library, see Change how you display items in the library.

  • If you are playing a file that you have downloaded to your computer, right-click the item in the List pane, click Properties, and then click the Media Usage Rights tab. If the file is protected, the license terms appear in the Media usage rights box. If nothing appears in the Media usage rights box, either the file is not protected, the file is protected but the usage rights are not present on your computer, or you are playing a file that is being streamed to your computer over the Internet (for example, you are playing subscription content directly from an online store's Web site).

click to expand How do I find out how I am allowed to use a protected file?

The content provider specifies what usage rights it grants to you. To view the usage rights of a protected file, do the following:

  1. In the Player, click the Library tab.

  2. In the Details pane, right-click a protected file, and then click Properties.

  3. Click the Media Usage Rights tab.

    The usage rights are indicated in the Media usage rights box. If no information appears in the Media usage rights box, it might be due to one of the following reasons:

    • Your computer is missing the media usage rights for the file.

    • The media usage rights for the file have expired.

    • The file is not protected.

    • The file has not been downloaded to your computer. For example, the file might be subscription content that is streamed to your computer from an online store.

click to expand What's the difference between purchased and subscription content?

Purchased content refers to audio or video files that you obtain from an online store for a one-time fee. For example, when you purchase a song, most online stores grant you the right to play, burn, or sync the song with few or no restrictions.

Subscription content refers to audio or video files that you rent from an online store, typically for a monthly fee. For example, when you rent a song, most online stores grant you the right to play the song for a specific period of time. Some stores also grant you the right to sync the song to a portable device a limited number of times. No stores grant you the right to burn subscription songs to an audio CD. If you choose not to renew your subscription after the rental period ends, you will no longer be able to play or sync that subscription content.

To determine if a file that you've downloaded to your computer is purchased or subscription content, view the media usage rights of the file. Subscription files typically have expiration dates noted in the Media usage rights box. For more information about viewing usage rights, see the question in this topic about how to find out how you are allowed to use protected files.

In some cases, you can also identify purchased and subscription content by showing the Keywords column in the library. For information about how to show this column, see Change how you display items in the library.

For more information about using online stores, see Shop online.

click to expand Can I remove DRM from a file?

No. Once DRM has been applied to a file, DRM can't be removed from it.

If you ripped a CD with the Copy protect music option turned on, those files are protected. Although you can't remove DRM from those files, you can delete those files and then rip the CD again with the Copy protect music option turned off.

For more information about copy protection and ripping, see the Rip music FAQ.

click to expand What is personal copy protection?

When you rip a CD, you have the option of copy protecting the ripped files so that the files can only be played on a limited number of computers. This process is sometimes referred to as personal copy protection to differentiate it from the "standard" copy protection that online stores use for the files that they offer. Personal copy protection and standard copy protection both use DRM to restrict how the files can be used. However, in the case of personal copy protection, you are considered the content provider of the files (as opposed to an online store). For more information about copy protecting CDs that you rip, see the Rip music FAQ.

click to expand How do I back up my media usage rights?

This version of the Player does not permit you to back up your media usage rights. However, depending upon where your protected files came from, you might be able to restore your rights over the Internet. For more information, see the question in this topic about how to restore your media usage rights.

click to expand How do I restore my media usage rights?

If you encounter an error message that indicates you are missing play, burn, or sync rights for a file and you had these rights previously, you might be able to resolve the problem by restoring your media usage rights. You have several options to do so:

  • If you obtained the file from an online store, the store might offer media usage rights (license) restoration (some stores refer to this procedure as computer activation, computer authorization, library restoration, or license synchronization).

    The procedure for restoring your rights varies from store to store. For some stores, you can click the arrow below the Online Stores tab, point to the store name, and then click a command such as Restore My Library. For other stores, you might need to click Browse all Online Stores, click the store in the list, install the store software, and then click a customer service or account management link on that store's page.

    The store might limit the number of times that you can restore your rights or limit the number of computers on which can use the songs or videos that you obtain from them. Some stores do not permit you to restore media usage rights at all. For details about the store's policies, see the store's customer support or Help links.

    For more information about using protected files and online stores, see the Windows Media Player FAQ online.

  • If the file is a song you ripped from a CD with the Copy protect music option turned on, you might be able to restore your usage rights by playing the file. You will be prompted to connect to a Microsoft Web page that explains how to restore your rights a limited number of times.

See also

Troubleshoot problems


Organizing your digital media collection

You can use Windows Media Player to organize your digital media collection—including your music, video, and pictures. The first step in getting organized is to add your digital media files to the Player library, after which the files are automatically organized into categories in the library to make them easy to find. Once you have added the files, you can do a number of things with them, including playing, burning mix CDs, creating playlists, or synchronizing the files to portable music players.

This section covers:

  • Managing your library
  • Adding and editing media information
  • Using playlists


Windows Media Player library: recommended links

The library is the location in Windows Media Player where you can manage all of your favorite music, videos, and pictures on your computer. It lets you easily find and play your digital media files, as well as choose content that you want to burn to a CD or sync to a portable device. Click one of the following links to learn more about using the library:

  • Add items to the library

  • Remove items from the library

  • Library FAQ

  • Find items in the library

  • How do I perform advanced searches?

  • Change how you display items in the library

  • Add or edit media information


Add items to the Windows Media Player library

Show All

You can use the Windows Media Player library to help you organize your entire digital media collection on your computer, including music, videos, and pictures. Once you add files to your library, you can play the files, burn mix CDs, create playlists, sync the files to portable music and video players, and share the files with other devices on your home network. There are several methods you can use to add files to your library:

  • Monitoring folders. When you start the Player for the first time, it automatically searches certain default folders on your computer for music, video, and picture files, and then adds those files to your library. If you ever add or remove files from these folders, the Player automatically updates the library accordingly. You can change which folders the Player monitors if you store some of your digital media files in a location that is not already monitored automatically.

  • Add media files that you play. When you play a file on your computer or on the Internet, the Player automatically adds the file to your library if it isn't already in your library. The Player does not automatically add a file that you play from removable storage media, a removable storage device, or on a shared network folder. For example, if you play a file that is stored on a CompactFlash card, a data CD, or in a shared folder on another computer on your network, the Player will not automatically add the file to your library.

  • Rip music from a CD. You can use the Player to rip tracks from your audio CDs. During ripping, the tracks are created as files on your computer.

  • Download music and videos from online stores. You can sign up with online stores from within the Player. Once you do so, you can download music and video files from the online stores.

This topic covers the first two methods. For information about the other methods, see Rip music from a CD and Shop online.

click to expand To change which folders are monitored by the Player

  1. Click the arrow below the Library tab, and then click Add to Library.

  2. In the Add to Library dialog box, click one of the following options:

    • My personal folders. Use this option to monitor the digital media files stored in your personal Music, Pictures, and Videos folders, as well as any files stored in the public Music, Pictures, and Video folders that everyone who uses your computer has access to.

    • My folders and those of others that I can access. Use this option to monitor the digital media files stored in your personal Music, Pictures, and Videos folders, the files stored in the public Music, Pictures, and Video folders, as well as the files stored in the personal Music, Pictures, and Videos folders that belong to other users on your computer. Note that you can only monitor the files stored in another user's personal folder if that person has chosen to share the folder with you. For information about how to share a folder with another person on your computer, see Windows Help and Support.

  3. Click Advanced Options, and then do any of the following:

    • To monitor additional folders, click Add, and then specify the location of the folder.

    • To stop monitoring a folder that you previously added, click the folder that you want to remove from the list, and then click Remove. To stop monitoring a folder that has been automatically added, click the folder, and then click Ignore.

    • To specify whether the Player should add files previously deleted from the library, select or clear the Add files previously deleted from library check box.

    • To prevent files that are smaller than a certain size from being added to the library, enter the file size limits in the Audio files and Video files boxes.

click to expand To change which media files are automatically added to the library when played

  1. Click the arrow below the Library tab, click More Options, and then click the Player tab.

  2. To prevent media files on your computer or the Internet from being added to your library when you play them, clear the Add media files to library when played check box.

See also

Remove items from the library


Remove items from the Windows Media Player library

Show All

This topic describes how to remove files and devices from your Windows Media Player library. You can also remove information about what you have played.

click to expand To delete a file from the library

  1. Click the Library tab.

  2. Right-click the item that you want to delete, and then click Delete.

    To select multiple adjacent items, press and hold the SHIFT key while selecting. To select nonadjacent items, press and hold the CTRL key while selecting. Right-click the selected items, and then click Delete.

  3. If prompted, click one of the following options:

    • Delete from library only

      This option deletes the link from your library but it does not delete the linked file from your computer.

    • Delete from library and my computer

      This option deletes both the link from your library and the file from your computer.

    Note image Note

    • If you previously selected the Don't show this message again check box at this prompt and you want to change how the Player deletes files in the future, perform the following procedure. Click the arrow below the Library tab, and then click More Options. On the Library tab, select or clear the Delete files from computer when deleted from library check box.

click to expand To remove a device from the library

    You can remove all information about a device, including the list of files that sync to the device, if you no longer want it to appear in the Player. If you do so, you will need to set up sync if you want to sync to the device again in the future.

  1. Disconnect the device from your computer.

  2. In the Navigation pane, right-click the device you want to remove, and then click End Sync Partnership.

    If the device is connected when you perform this step, the device will switch to manual sync, and some information about the device will remain in the Player.

See also

Add items to the library

Library FAQ

Troubleshoot problems


Windows Media Player library FAQ

Show All

Here are answers to some common questions about the Windows Media Player library. If you don't see your question listed here, see the Windows Media Player FAQ online.

click to expand What is the library and how do I view it?

The library is the location in the Player that lists all of the music, videos, and pictures on your computer. It lets you easily find and play your digital media files, as well as choose content that you want to burn to a CD or sync to a portable music player.

To display your library, start the Player, and then click the Library tab.

click to expand How do I view the pictures, videos, or TV shows in my library?

When you click the Library tab, the Player displays the media category you viewed last (for example, the Music category). You can view the other kinds of media in your library by selecting a different media category, such as Pictures, Video, or Recorded TV.

To select a different category, click the Select a category button Picture of the Select a category button , and then click the category you want to view (for example, Pictures).

The Select a category button is located near the top-left corner of the Player (just below the Back and Forward buttons). The button icon changes depending on which category is currently selected (for example, when the Music category is selected, the icon looks like a musical note).

click to expand How do I add content to my library?

To learn how to add content to your library, see Add items to the library.

click to expand How is a library different from the Music, Videos, or Pictures folders in Windows?

The Music, Videos, and Pictures folders in Windows contain the actual files on your computer, while the Player library simply contains links to those files. The library gives you greater control of how you organize and use your digital media content than the Windows folders do.

click to expand Does the library contain copies of my digital media files or just links to my files?

The library is a database that contains links to the digital media files on your computer. It does not contain your actual digital media files or copies of your digital media files. To find out where the items listed in your library are actually stored on your computer, see the procedure about finding where a file in your library is stored on your computer in Find items in the library.

click to expand How do I move my library from one computer to another computer?

The library is a database that includes links to the digital media files on your computer. Among other reasons, you can't move the library from one computer to another because the links in the database would no longer be correct.

If you want to replicate your current library on another computer, you need to copy your digital media files to that computer and then add those files to the new library. For more information about adding content to your library, see Add items to the library.

See also

Managing your library


Find items in the Windows Media Player library

Show All

You can use Windows Media Player to find where items are in your library or to search for items in an online store that you have signed up with. You can also find where files in your library are stored on your computer or jump to music in the same album.

click to expand To search for items in the library

    To ensure that you can easily find items in the library, it is important that files have accurate and complete media information. If necessary, you can add or edit media information for the files.

  1. Click the Library tab.

  2. On the address bar, click the Select a category button Picture of the Select a category button, and then select the media type you want to search. For example, click Pictures if you want to search picture files in your library.

  3. In the search box, type the text you want to find. Note that it is not possible to use wildcard characters, such as * and ?, in a search.

    To clear the search box of previous search criteria, click the Clear Search button Picture of the Clear Search button.

    You can also perform advanced searches.

click to expand To find where a file is stored on your computer

  1. Click the Library tab, and then browse to the file you want to find on your computer. Or, if the file is displayed in the List pane, move to step 2.

  2. Right-click the file and then click Open File Location.

  3. To find where all files in a category are stored, do the following:

    1. On the address bar, click the Select a category button Picture of the Select a category button, and then click the category you want, such as Music.

    2. In the Navigation pane, right-click Library, and then click Show More Views.

    3. In the Navigation pane, click Folder. A column in the Details pane displays the path to all of the files in that category.

click to expand To find files that were recently added to the library

    Files that were added to the library in the last 30 days are displayed in a Recently Added view in the library. This includes files that were added from monitored folders, downloaded from an online store, copied from a device, or dragged from a folder to the library.

  1. Click the Library tab.

  2. On the address bar, click the Select a category button Picture of the Select a category button, and then click the category that you want to look in, such as Music.

  3. In the Navigation pane, click Recently Added. If this view is not displayed, it means that no files have been recently added to that category.

click to expand To find files you downloaded from an online store

  1. Click the Library tab.

  2. On the address bar, click the Select a category button Picture of the Select a category button, and then click the category that you want to look in, such as Music.

  3. In the Navigation pane, right-click Library, and then click Show More Views.

  4. In the Navigation pane, click Online Stores.

    In the Details pane, the files in your library are grouped by the online store from which they came.

click to expand To find music from the same album in the library

    When a song is in a playlist in the List pane, you can quickly find other songs from the same album.

  • In the List pane, right-click the song and select Find in Library.

    The Player will display all the songs in the library from the same album.


How do I perform advanced searches in Windows Media Player?

You can use advanced search in Windows Media Player to find all items in your library or in an online music service that match a specific set of criteria. Any resulting matches are displayed in the Details pane. You can also access links to matches in specific library categories by clicking the drop-down arrow of the search box. The following examples illustrate advanced searches you can do within the search box in Windows Media Player:

  • To search for a specific song, album, or artist, type one or more words in the search box. For example, to find all song titles, album titles, and artist names that contain the word "Prince," type Prince in the search box.

    Note that if you type a four-digit number by itself in the search box, the Player will search for songs and albums that were released in that year in addition to songs and album titles containing that number. To narrow the search results for a song or album title that contains a four-digit number, such as the Prince song "1999," include one or more additional words in your search query. For example, to find the Prince song "1999," type 1999 Prince in the search box.

  • To exclude an item, use NOT or a hyphen (-). For example, type "Dido" NOT "Life for Rent" to view all songs by Dido except those that are on the "Life for Rent" album. Or, type -Rock to see all songs except those whose genre is Rock.

    To search for an exact phrase, enclose it in quotes ("). For example, type "Easy Listening" to search for items that contain the entire phrase.

  • To combine a search, use OR. For example, to search for all songs by Neil Diamond or Barbra Streisand, type "Neil Diamond" OR "Barbra Streisand". Or, type Rock OR Jazz to find all songs whose genre is Rock or Jazz.

  • To search on two attributes, use AND or a space. For example, type "Dido" AND "Life for Rent" to find only those songs by Dido that are on the "Life for Rent" album. Or, type Composer:Beethoven Conductor:"Gerard Schwartz" to find music that was composed by Beethoven and also had Gerard Schwartz as the conductor.

  • To restrict your search to a particular media information attribute, use the format Attribute:Item you are searching for. For example, type Genre:Rock to find songs whose genre is Rock. Or, type Composer:Beethoven to find all music that was composed by Beethoven. The following table shows the various examples of search words and how they are used.

    To find

    Use this

    Example

    Album or CD title

    Album:

    album:"Life for Rent"

    Primary performing artist

    AlbumArtist:

    albumartist:Dido

    Primary or contributing artist

    Artist:

    artist:Dido

    Music composer

    Composer:

    composer:"Dido Armstrong"

    Orchestra conductor

    Conductor:

    conductor:"Gerard Schwartz"

    Content provider

    ContentProvider:

    contentprovider:StoreName

    Contributing artist

    ContributingArtist:

    contributingartist:"Ray Charles"

    Genre

    Genre:

    genre:rock

    Duration of the content in seconds

    Length:

    length:245

    Is the content protected by media usage rights?

    Protected:

    protected:<yes/no>

    Content ratings (including both user and provider ratings)

    Rating:

    rating:4

    Item title

    Title:

    title:"White Flag"

    Note that search is not case sensitive. Also note there are no spaces between the search word, the colon, and the text you type in. Quotes are only needed for multi-word search phrases that are common in album titles and the full names of artists, and if you want to search for an exact phrase.

    If you are in a library category that does not use the search criteria you specify, such as searching for an artist name from within the Genre category, the Player will search all other categories in the library and provide a list of any matches found in the Details pane. You can also see any matches found by clicking the drop-down arrow of the search box.

    To quickly clear the search box of previous search criteria, click the Clear Search button Picture of the Clear Search button.

See also

Find items in the library


Change how you display items in the Windows Media Player library

Show All

Windows Media Player automatically organizes files in your library according to the media information that is available for the files. To ensure that your library is well-organized and that you can find items easily, it is important that your files contain complete and accurate media information. If this is not the case, you can add or edit the media information.

Once you have accurate media information in your files, you have a number of options for arranging files in the library to make them easier for you to find. You can choose between several different display views in the library, select the panes you want to appear, and choose the columns you want to display.

click to expand To change how items are displayed in the library

  • Click the Library tab, click the View Options button Picture of the View Options button, and then select the display option you want.

click to expand To display more views of the library

    The library has five categories: Music, Pictures, Video, Recorded TV, and Other Media. Each category has several views, for example, you can view your music by genre or your pictures by the date you took them. A number of the views are displayed in the Navigation pane by default, and there are additional views that you can choose to display.

  1. Click the Library tab.

  2. On the address bar, click the Select a category button Picture of the Select a category button, and then click the category you want, such as Music.

  3. In the Navigation pane, right-click Library, and then click Show More Views.

  4. In the Navigation pane, click the view you want. For example, click Folder if you want to see where the items are stored on your computer.

click to expand To select the panes you want to be displayed

  1. Click the Library tab, click the Layout Options button Picture of the Layout Options button, and then select the panes you want to show or hide.

  2. To show the List pane, click the Show List pane button Picture of the Show List pane button.

click to expand To change the columns that are displayed in the library

  1. Click the Library tab, click the Layout Options button Picture of the Layout Options button, and then click Choose Columns.

  2. Clear the check boxes for the columns you do not want to display.

  3. To change the order in which the columns display, select a column name and then click Move Up or Move Down.

  4. To resize a column, click the column and then type a width in Width of selected column (in pixels).

    You can also resize columns on the Details pane of the Library tab by clicking next to the heading of the column and then moving the column boundary to the right or to the left.

  5. By default, some columns are automatically hidden when you resize the Player, which leaves room for the most important columns to remain visible. If you want all columns to remain visible when you resize the Player, clear the Hide columns automatically check box.

    If you want to restore your customized columns view displayed back to the default view, right-click any column header in the library, and then click Restore columns.

See also

Find items in the library


Adding and editing media information

Accurate media information is a key component of a well-organized library. This section provides information about how you can adjust options that affect media information, add or edit the media information in your files, and rate your favorite files.

This section covers:

  • What is media information and why is it important?
  • Media information FAQ
  • Add or edit media information
  • Add or change album art
  • How are ratings used?


What is media information in Windows Media Player and why is it important?

Media information (sometimes called "metadata") is a general term used to describe the contents of a digital media file. For music files, the following are some common types of media information:

  • Title (the name of the song)

  • Album (the name of the album on which the song appears)

  • Album Artist (the name of the primary artist associated with the album)

  • Contributing Artist (the names of the artists that performed the song)

  • Genre (the type of music)

  • Rating (the number of stars that the song has been rated by you or a data provider)

Each of the preceding items is a media information attribute (sometimes called a "tag"). Other types of digital media files, such as videos, recorded TV, or pictures, can have other attributes that are relevant to their content type. For example, a recorded TV file might have the attributes "Actors" and "Series" and a picture file might have the attributes "Event" and "Date Taken."

When a digital media file is created, the program or device that created it typically adds some media information to the file. For example, when you rip a CD, the Player usually downloads media information about the album from the Internet and adds that information to the WMA or MP3 files that it creates on your computer. If you want, you can use the Player to manually add or edit media information for items in your library.

To get the most out of the Player, it is important that your files contain complete and accurate media information. The Player relies on this information to help you organize, sort, and find items in your library. For information about how to add or edit media information, see Add or edit media information.

See also

Media information FAQ

How are ratings used?

Add or change album art


Media information in Windows Media Player FAQ

Show All

Here are some answers to common questions about media information. If you don't see your question listed here, see the Windows Media Player FAQ online.

click to expand What is media information?

See What is media information and why is it important?

click to expand How do I add or edit media information?

See Add or edit media information.

click to expand How does album cover art relate to media information?

Album art is a type of media information. When you rip a CD in the Player, album art is typically downloaded from the Internet at the same time as other media information. For more information about album art, see Add or change album art.

click to expand Can I choose which data provider to use when downloading media information?

Partially. When you rip a CD, the Player attempts to download media information from a Microsoft database and then add that information to the WMA or MP3 files that are added to your library. The online database contains media information from a number of data providers. You cannot change which online database or data provider the Player uses when ripping CDs.

When you play a music file in your library and you switch to the Info Center view, the Player displays some of the media information that is in the file, such as the song title, album name, and artist name. Depending on the file and the online store that you use, the Player might also display supplemental media information that is not in the file, such as an artist biography, an album review, and music recommendations. (To switch to Info Center view when you are playing a music file, click the Now Playing tab, right-click the area where videos and visualizations appear, and then click Info Center View.)

The supplemental media information is retrieved from the currently active online store. If you want to see if different supplemental media information is available, you can switch to a different online store. For information about switching between online stores, see Shop online.

click to expand Does the Player support ID3 tags?

Yes. The Player reads and writes media information in the ID3v2 format. It can also read media information in the ID3v1 format.

ID3 is the name of a standard used to add media information to a digital media file. ID3v1 is the first version of this standard. ID3v2 is the second version.

click to expand How do I tell the Player to automatically fix the media information in my files?

The Player can automatically scan the files in your library and download missing media information or attempt to fix incorrect media information. To change this setting, do the following:

  1. Click the arrow below the Library tab, and then click More Options.

  2. In the Automatic media information updates for files area, select the Retrieve additional information from the Internet check box.

  3. Do one of the following:

    • If you want the Player to only add media information that is missing from your files, click Only add missing information.

    • If you want the Player to overwrite all the media information in your files, click Overwrite all media information.

      Use caution with this option. If you manually modify media information in your files, this option will potentially overwrite all of your changes.

click to expand How do I prevent the Player from overwriting the media information in my files?

The Overwrite all media information option might be selected. You should select the Only add missing information option instead. For more information, see the question about getting the Player to automatically fix media information in this topic.

click to expand When media information is updated in the library, how do I tell the Player to update the item's file name?

When the Player rips a CD, it names the files according to your preference (for example, "01-Sample Song Name-Sample Artist Name.WMA"). You may have music files on your computer that were ripped by other programs and that have file names that don't match your naming preference.

If you want the Player to change the file names of your music files to match your rip settings, perform the following procedure.

  1. Click the arrow below the Library tab, and then click More Options.

  2. In the Automatic media information updates for files area, select the Rename music files using rip music settings check box.

    Your files will potentially be renamed when any media information in them is updated (either manually by you or automatically by the Player).

click to expand When media information is updated in the library, how do I tell the Player to move the files to the appropriate artist and album folders on my computer?

When the Player rips a CD, it names the files according to your preference, and then stores the files in subfolders based upon the artist and album names. By default, if the media information for the files changes (for example, the artist name or album name is modified), the file will remain in the same physical location.

If you want, you can tell the Player to automatically move your files to the appropriate artist or album folders if the media information in the files changes. To turn on this setting, do the following:

  1. Click the arrow below the Library tab, and then click More Options.

  2. In the Automatic media information updates for files area, select the Rearrange music in rip music folder, using rip music settings check box.

    Your files will potentially be rearranged when any media information in them is updated (either manually by you or automatically by the Player).

click to expand How do I make sure my ratings are not overwritten by other people who use my computer?

The answer to this question depends upon how your computer is configured. If everyone logs on to your computer by using a single user account, there is no way to prevent other people from overwriting your user ratings if they also choose to rate items in the library.

However, if everyone uses their own user account to log on to your computer, you can configure your copy of Windows Media Player to store your user ratings in your media files and you can configure the other people's copies of the Player to store their user ratings in their respective library database files. The following steps explain the procedure.

  1. Log on to your computer using your user account.

  2. In Windows Media Player, click the arrow below the Library tab, and then click More Options.

  3. In the Automatic media information updates for files area, verify that the Maintain my star ratings as global ratings in files check box is selected.

    When this setting is selected, your user ratings are stored in your individual media files instead of in your library database file. Even though the rating information is stored in a different file location, your ratings will still appear in your library as normal.

  4. Log off of your user account and log on to the other person's user account (you might need the other person to enter his or her account password).

  5. In Windows Media Player, click the arrow below the Library tab, and then click More Options.

  6. In the Automatic media information updates for files area, clear the Maintain my star ratings as global ratings in files check box.

    When this check box is cleared, the user's ratings are stored in their library database file instead of in the individual media files.

  7. Repeat steps four through six for any other accounts that are on your computer.

See also

How are ratings used?

Managing your library


Add or edit media information in Windows Media Player

Show All

You might have items in your Windows Media Player library that have missing or incorrect media information, such as songs that have missing or incorrect song titles, track numbers, artist names, album titles, genres, and so on. Because the Player relies on media information to organize the items in your library, it is important that all items in your library have accurate and complete media information.

This article explains how you can use the Player to add or edit media information for items in your library. For general information about media information, see What is media information and why is it important?

Adding media information automatically

In many cases, the Player can download media information for you and add it to your files automatically. For example, when you rip a CD, the Player can search an online database and download media information about the tracks on the CD to your computer.

The Player can also periodically scan the contents of your library for items that are missing media information. If it can match the items in your library to entries in the online database, then the Player can automatically download the missing media information and add it to the files in your library.

For information about how to control whether the Player automatically downloads missing information for items that are already in your library, see the question about getting the Player to fix media information automatically in the Media information FAQ. For detailed information about how to add or edit media information when you rip a CD, see Rip music from a CD.

Adding or editing media information manually

If you have items in your library that have missing or incorrect media information—perhaps because you didn't fix the information before you ripped the tracks from the CD or because you used another CD ripping program to rip your CDs—there are several methods that you can use to correct the media information.

click to expand To add media information using the online database

    Typically, the easiest way to add media information to a file that is already in your library is by searching for the information in the online database. This method works best when there is information in the database, but the Player was unable to automatically match it to the file in your library.

  1. Click the Library tab, right-click a file, and then click Find Album Info. The Player connects to the Internet and displays the Find Album Information dialog box.

    To select multiple adjacent items, click the first item, hold down the SHIFT key, and then click the last item. To select nonadjacent items, hold down the CTRL key as you click each item.

  2. Follow the instructions in the Find Album Information dialog box to select the correct album from the list or to refine your search.

    The Player closes the dialog box and adds the information to the library. After some time (which varies depending upon how many changes you have made and whether the Player is performing any processor-intensive actions), the information is also added to the file.

    To force the Player to update the file immediately, click the arrow below the Library tab, and then click Apply Media Information Changes.

  3. If the database does not contain the album for which you are looking (for example, the songs came from a mix CD that someone burned for you), follow the instructions in the dialog box to enter the media information manually.

click to expand To add media information using the Edit command

    If you don't mind entering all the information manually, you can bypass the online database and fix the information directly in the library by using the Edit command.

  1. Click the Library tab, right-click the file's title, artist name, or other media information attribute, and then click Edit.

    If the attribute is not visible in the library, you might need to use the horizontal scroll bar at the bottom of the library (if available) to scroll left or right or you might need to configure your library to display some attribute columns that are hidden by default. For information about how to change the columns that are displayed in the library, see Change how you display items in the library.

    If you want to make the same attribute change for several files, you can save time by selecting the group of files before you right-click the attribute. To select multiple adjacent items, press and hold the SHIFT key while selecting. To select nonadjacent items, press and hold the CTRL key while selecting.

  2. Type the information that you want to add or fix, and then press ENTER.

    The information is added to the library. After some time (which varies depending upon how many changes you have made and whether the Player is performing any processor-intensive actions), the information is also added to the file. To force the Player to update the file immediately, click the arrow below the Library tab, and then click Apply Media Information Changes.

  3. Repeat steps 1 and 2 as necessary to fix the other attributes.

    Note that some attributes, such as length, size, and bit rate, cannot be edited.

click to expand To add media information by dragging items

    If there are items in your library that have correct media information and you want to copy those attributes to another item that has incorrect information, you can accomplish this quickly by dragging the incorrect item on top of the correct item.

  1. Click the Library tab.

  2. In the Navigation pane, expand Library, and then click a view, such as Album, Artist, or Genre.

  3. In the Details pane, drag the item that has the incorrect media information on top of the item that has the correct media information.

    For example, drag "Unknown Album" on top of the album "Giant Steps." All of the items in "Unknown Album" become part of "Giant Steps."

  4. If a confirmation dialog box appears, click Yes.

click to expand To add media information using the Advanced Tag Editor

    The library doesn't show all of the media information attributes that are available, such as Original album or Beats per minute. If you want to change an attribute that does not appear in the library or you want to change several attributes at once, use Advanced Tag Editor. A tag is another name for a media information attribute.

  1. Click the Library tab, right-click a file, and then click Advanced Tag Editor.

  2. In the appropriate boxes on each tab, type the information that you want to add or fix, and then click OK. The information is added to both the library and the file immediately.

click to expand To prevent media information from being overwritten

    After you have taken the time to add media information to your files, it is a good idea to verify that it will not be overwritten by the Player later.

  1. Click the arrow below the Library tab, and then click More Options.

  2. In the Automatic media information updates for files area, verify that the Only add missing information option is selected. (It is selected by default.)

    This will prevent the Player from inadvertently overwriting the correct media information you have added with the incorrect media information that might be available in the online database.

    Note that selecting the Only add missing information option will not prevent the Player from overwriting your changes if you use the Find Album Info command to manually download media information from the online database.

See also

Add or change album art

Troubleshoot problems


Add or change album art in Windows Media Player

Show All

Windows Media Player can display the album cover artwork associated with the songs in your library.

Where does album art come from?

The Player downloads album art from an online database where the information is supplied by a variety of non-Microsoft data providers, such as AMG.

The Player downloads album art when you rip a CD. To do so, the Player attempts to match the CD to an entry in the online database. If it finds a match, the Player automatically downloads the media information that is available for the CD, including album art. In addition, the Player periodically scans your library for songs that are missing album art. If it can match a song that is missing album art to an entry in the online database, the Player will download the missing album art. For information about changing how the Player downloads album art and other media information, see the question about getting the Player to fix media information automatically in the Media information FAQ.

Why is album art missing sometimes?

The Player might not be able to download album art from the database in the following situations:

  • You aren't connected to the Internet when ripping a CD.

  • You are connected to the Internet, but the online database is missing album art (or there is no media information at all) for the CD you are ripping.

  • Your system administrator has prevented your computer from downloading items such as album art from the Internet.

  • You ripped the CD using a program other than Windows Media Player; doing so might prevent the Player from finding a match in the online database.

Finally, if the online database contains incorrect album art for a CD, the Player will download that album art.

The following procedures describe methods you can use to fix missing or incorrect album art.

click to expand To add album art from the online database

    You can try to match an album in your library with an entry in the online database. If you find a match, the Player will download whatever album art is in the database to your computer.

    Note that when the Player downloads album art, it also downloads all other media information associated with that album (such as the album name, song titles, and so on). If you have manually edited the media information for that album in your library, the following procedure will overwrite your changes.

  1. Connect to the Internet.

  2. Click the Library tab, and then browse to the album that you want to fix.

  3. Right-click the album, and then click Find Album Info.

  4. If you get an error message that says that you must change your privacy settings before you can update media information, do the following: Click the Tools menu, click Options, click the Privacy tab, and then select the Update music files by retrieving media info from the Internet check box. Then, in the library, repeat the previous step.

    If the Tools menu is not visible, show the Classic Menus.

  5. Do one of the following:

    • If the correct album or artist information appears in the search results, select the correct entry, and then follow the instructions on the page to update the album art and media information automatically. If the correct album information does not appear in the search results, follow the instructions on the page to search again using different search criteria.

    • If the correct album information appears with a generic music icon displayed as the album art, then album art is not available for download. See the procedure about how to add album art manually in this topic.

click to expand To add the album art of your choice manually

    If some of your albums are missing album art, you can manually add a picture of your choice. When you do so, the picture is embedded into the file, and the Player will always show the embedded file as the album art (as opposed to any album art that the Player may have downloaded from the online database).

  1. Click the Library tab, and then browse to the album that is missing art.

  2. Find a picture that you want to use for album art (the picture can be on your computer or on a Web page), right-click the picture, and then click Copy.

    The original picture can be in any of the following formats: BMP, GIF, JPEG, PNG, or TIFF.

  3. In your library, right-click the album art box, and then click Paste Album Art.

    A copy of the picture is embedded into each of the songs from that album. The copy of the picture is automatically scaled to the appropriate size and converted to the JPEG format before it is embedded in the file. The original picture file is not modified.

    4. Note image Note

    • If you cannot add album art manually, verify that you have permission to modify the file. For example, right-click the file, and then click Open File Location. In the folder, right-click the file, click Properties, and then clear the Read-only check box if it is selected.

Where can you view album art?

Album art can appear in a variety of places inside and outside the Player, including:

  • In the library

  • In the List pane on the right side of the Player

  • In the status area at the bottom of the Player (near the playback controls)

  • In certain visualizations

  • In the Windows folder where you store your music files (for example, the Music folder)

  • In the Info Center View (to see this view, click the Now Playing tab, right-click the area where videos and visualizations appear, and then click Info Center View)

  • In the Find Album Information dialog box (the dialog box that appears when you click the Find Album Info command)

    Note that the album art that appears in the Find Album Information dialog box is provided by data providers, such as AMG. The album art that appears in the Info Center View is provided by the online store that you currently have selected. For information about how switch to a different online store, see Shop online.

click to expand To view album art when playing music

  • Do one of the following:

    • Begin playing the song, and then click Now Playing. Click the arrow below the Now Playing tab, point to Visualizations, and then click Album Art.

      Large album art appears in the visualization area.

    • Begin playing the song, and then click Now Playing. If the List pane is not visible, click the arrow below the Now Playing tab, and then click Show List Pane.

      Small album art appears in the List pane.

See also

Add or edit media information


How are ratings used in Windows Media Player?

Show All

Windows Media Player uses ratings to help you find and organize your favorite songs, videos, and pictures quickly. You can also use ratings as a search criteria when creating auto playlists.

Ratings are displayed in the Rating column in your library. By default, most items in your library are automatically given an auto rating. The auto rating is controlled by non-Microsoft data providers, such as AMG and some online stores. You can override an auto rating by explicitly choosing a new user rating. You can distinguish between the two types of ratings by the appearance of the stars, which are blue for auto ratings and bright yellow for user ratings.

When creating an auto playlist, you can search for items based upon their auto ratings or their user ratings (note that user rating appears in the search criteria list as My Rating).

click to expand To rate an item

  1. Click the Library tab.

  2. Find the item in your library that you want to rate, and then click one of the stars listed in the Rating column.

    One star is the lowest rating. Five stars is the highest rating. To clear a user rating, right-click the item, point to Rate, and then click Unrated.

    You can also rate an item by using a keyboard shortcut. To rate an item zero through five stars, play the item, and then press CTRL+Windows logo key+number. For example, to rate an item five stars, play the item, and then press CTRL+Windows logo key+5. To clear a user rating, play the item, and then press CTRL+Windows logo key+0.

    3. Note image Notes

    • You cannot use Windows Media Player 11 for Windows XP to rate the pictures in your library. To change the rating of a picture in your library, open the picture in Microsoft Digital Image 9 or later, change the rating, and then save the picture. The new rating will appear in the Player library. For more information about Digital Image, see Microsoft Digital Imaging online.

    • By default, the Player stores your user rating information in your individual digital media files. Previous versions of the Player stored user rating information in your library database file. For more information, see the question about saving ratings in the Media information FAQ.

See also

Find items in the library

Add or edit media information


Using playlists

Playlists are a great way to control how you use the files in your Windows Media Player library. By creating a playlist, you can group any combination of songs, videos, or pictures into a list that you can then quickly play, burn to a CD, or sync to a device.

This section covers:

  • Playlist FAQ
  • Create or change a regular playlist
  • Create or change an auto playlist


Windows Media Player playlist FAQ

Show All

Here are some answers to common questions about playlists in Windows Media Player. If you don't see your question listed here, see the Windows Media Player FAQ online.

click to expand What is a playlist and why would I want to use one?

In the Player, a playlist is a type of list that contains one or more digital media files. Playlists can contain any combination of songs, videos, or pictures. Playlists are a great way to group items that you like to listen to or watch frequently. For example, if you like to listen to certain songs while you relax in the evening, you can create a playlist that contains just those songs. You can also use playlists to group items that you want to burn to a CD or sync to a portable device. For example, you could create a playlist of your favorite holiday songs and then burn that playlist to an audio CD to play at a party.

By default, items in a playlist are played in the order they appear in the list. You can change the order of the items by dragging and dropping them within the list, or you can shuffle all items in the list.

click to expand What items can be added to a playlist?

Any audio, video, or picture file that the Player recognizes can be added to a playlist. Items that are not files, such as CDs or DVDs, cannot be added to a playlist.

click to expand What's the difference between a regular playlist and an auto playlist?

The contents of a regular playlist do not change unless you manually add or remove items from the playlist. When you add, remove, or change items in your library, the contents of an auto playlist change automatically according to criteria that you have specified. For example, you could create an auto playlist of all of the songs in your library by your favorite singer that you've rated four stars or higher. The contents of that auto playlist would change automatically if you ever change the rating of one of that singer's songs in your library, or if you added or removed a song by that singer.

click to expand Where are my playlist files stored on my computer?

By default, playlists are saved in the My Playlists folder, which is located in the same folder that you rip your CDs to (usually, your Music folder).

click to expand Are my playlists copied when I burn a CD or sync to a portable device?

If you burn a CD (either audio or data), the items in the playlist are burned to the CD, but the playlist file is not.

When you sync a playlist to a portable device, both the playlist file and the contents of the playlist are copied to the device.

click to expand Can I save a playlist in another format?

Yes. By default, the Player saves playlists with a .wpl extension, but you can save playlists with the .m3u or .asx extension instead. For information about saving a playlist with a different extension, see the procedure about creating a regular playlist in Create or change a regular playlist.

click to expand Why don't all of my items appear in the List pane when I drag an album or artist to it?

The Add Favorites to List When Dragging feature might be turned on. For information about how to turn off this feature, see the procedure about automatically creating a playlist of your favorite songs in Create or change a regular playlist.

click to expand Why are some of the items in my playlist dimmed?

Items in a playlist can be dimmed by skipping them during playback. For information about how items can be dimmed by skipping them, see the procedure about skipping items in a playlist in Create or change a regular playlist.

See also

Create or change an auto playlist

Play an audio or video file


Create or change a regular playlist in Windows Media Player

Show All

A regular playlist is a static list containing one or more digital media files, including any combination of songs, videos, or pictures. Playlists are a great way to group items that you like to listen to or view frequently. You can also use playlists to group items that you want to burn to a CD or sync to a portable device. You can create auto playlists in the Player as well. For more information about playlists, see the Playlist FAQ.

click to expand To create a regular playlist

  1. 1. Click the Library tab. If you need to clear the List pane before beginning to create your playlist, click the Clear List pane button Picture of the Clear List pane button.

  2. Drag items from the Details pane to the List pane to add them to the new playlist.

    To select multiple adjacent items, press and hold the SHIFT key while selecting. To select nonadjacent items, press and hold the CTRL key while selecting.

  3. To rearrange items, drag them up or down in the List pane.

  4. To save the list, click Save Playlist at the bottom of the List pane, and then type a name for the playlist.

    By default, playlists are saved with a .wpl extension in the Playlists folder, which is usually located in the Music folder. You can also save playlists with the .m3u or .asx extension. To do so, click the List button at the top of the List pane, click Save Playlist As, and then change the extension in the Save As dialog box. Once you save the playlist, it's added to the Playlists category in the library.

    To play the playlist in the List pane, click the Play button Picture of the Play button.

  5. To access the playlist in the future, click the Playlists view in the Navigation pane.

click to expand To edit a regular playlist

  1. Click the Library tab, and then click the Playlists view in the Navigation pane.

  2. Click the playlist Picture of the regular playlist icon you want to edit, and then click Edit in List Pane.

  3. Do any of the following:

    • To remove an item, right-click it, and then click Remove from List.

      To select multiple adjacent items, press and hold the SHIFT key while selecting. To select nonadjacent items, press and hold the CTRL key while selecting.

    • To rearrange items, drag them up or down in the List pane.

    • To shuffle the entire list, click the List button at the top of the List pane, and then click Shuffle List Now.

    • To add items, browse to the items by using the Navigation and Details panes, and then drag the items to the List pane.

  4. When you are finished editing the playlist, click Save Playlist at the bottom of the List pane, and then type a name for the playlist.

click to expand To create a playlist of favorite items

    You can quickly create playlists of your favorite items by turning on the Add Favorites to List When Dragging feature. When you do so, the next time you drag a category such as an Album or Genre from the Details pane to the List pane, only the songs with the highest user and auto ratings are added to the new playlist.

  • Do one of the following:

    • To turn on this feature so that it works whenever you drag a category to the List pane, click the arrow below the Library tab, and then click Add Favorites to List When Dragging. A check mark next to the command indicates the feature is turned on.

    • To add favorites one time only, right-click a category such as an Album or Genre in the Details pane, point to Add to, and then click "Untitled Playlist" (Favorites only).

click to expand To set how items are skipped in a playlist

    The Player tracks which songs you skip when playing a playlist. This gives you a quick way to revise a playlist, such as one created by a music subscription service or another person, so that it only contains your favorite items. When you save a playlist that contains skipped items, you will be prompted to choose to either remove or keep the skipped items in the playlist. You can turn off the prompt if you want. You can also set the Player to not play skipped items during repeat playback. When you do so, the skipped items appear dimmed in the List pane.

  1. To skip an item, click the Next button Picture of the Next button while the item is playing.

  2. To remove skipped items from a playlist, do the following:

    1. Click the List button at the top of the List pane, and then click Save Playlist As.

    2. Type a name for the playlist, and then click Save.

    3. When prompted, click Remove from the playlist.

  3. (Optional) To change settings for skipping, click the List button at the top of the List pane, point to Skipped Items, and then do one or both of the following:

    • To stop being prompted to remove skipped items when saving a playlist, click to clear the check mark next to Prompt Me to Remove upon Save.

    • To prevent skipped items from playing when repeat play is turned on, click Skip During Playback. A check mark next to the command indicates the feature is turned on, and items that you skip will appear dimmed in the List pane. You can return an item to normal play by double-clicking it in the List pane.


Create or change an auto playlist in Windows Media Player

Show All

An auto playlist is a type of playlist that changes automatically according to criteria you have specified. You can use auto playlists to play different combinations of music in your library, burn grouped items to a CD, or sync to a portable device. You can create your own auto playlists as well as creating your own regular playlists. For more information about playlists, see the Playlist FAQ.

click to expand To create an auto playlist

    Auto playlists provide you with a lot of flexibility to help you find, organize, and play just the music that you want to listen to, according to criteria you set.

  1. Click the arrow below the Library tab, and then click Create Auto Playlist.

  2. In Auto Playlist name, type a name for the playlist.

  3. Select the criteria that you want to use for the auto playlist. The following steps illustrate how you would set up an auto playlist that contains songs that you have rated to 4 or 5 stars:

    1. In the criteria list, verify that Music in my library is displayed.

    2. Click Click here to add criteria, and then click My Rating.

      The Player automatically adds Is At Least 4 Stars. When you play this playlist, any music that you have rated to be 4 stars or higher will be included in the playlist.

  4. To remove a criterion, click it, and then click Remove.

click to expand To edit an auto playlist

  1. Click the Library tab, and then click the Playlists view in the Navigation pane.

  2. In the Details pane, right-click the auto playlist Picture of the auto playlist icon you want to edit, and then click Edit.

click to expand To save a copy of an auto playlist as a regular playlist

    The contents of an auto playlist are updated every time you open the auto playlist. If you want to preserve the current set of contents in an auto playlist, you can save a copy of the auto playlist.

  1. Click the Library tab, and then click the Playlists view in the Navigation pane.

  2. If the List pane is not displayed, click the Show List pane button Picture of the Show List pane button. If there are items in the List pane, you can remove them by clicking the Clear List pane button Picture of the Clear List pane button.

  3. In the Details pane, right-click the auto playlist Picture of the auto playlist icon you want to save, and then click Add to "Untitled Playlist".

  4. Click Save Playlist, and then type a name for the playlist.


Burning your own CDs

You can use Windows Media Player to burn any mix of songs you want from your library to an audio CD. Once you have burned a CD, you can play it in any standard CD player. Burning mix CDs makes it easy to listen to only the songs you want.

This section covers:

  • Burn a CD
  • Burn FAQ
  • Change settings for burning


Burn a CD in Windows Media Player

You can easily create your own customized CDs using Windows Media Player.

  1. Click the Burn tab, click the arrow below the Burn tab, and then click the type of CD you want to burn (audio or data).

  2. Insert a blank CD-R or CD-RW disc into the CD burner. Or, insert a CD-RW disc that has files on it, and erase the contents of the disc by right-clicking the drive in the Navigation pane and then clicking Erase disc. (Erasing is required before you can burn to the disc again.)

  3. If you have multiple CD burners and the burner you want to use is not the one selected, choose the one you want to use by clicking the Next Drive link in the List pane above the playlist.

    Note that you can only burn CDs to one CD burner at a time.

  4. To add albums or files from your Player library, drag them from the Details pane to the List pane to create a list of files to burn.

    If you need to clear the List pane before beginning to build your burn list, click the Clear List pane button.

    For audio CDs, the Player typically calculates how many minutes and seconds of empty space remain on the disc after each song is added to the burn list. However, occasionally the Player may not be able to detect the duration of songs in advance, which means it may not be able to accurately calculate how many songs can fit on a CD. If this occurs, playing the songs on the burn list first may help the Player to determine the correct duration of the songs.

    To add a file that is on your computer but not in your library, right-click the file and then click Add to Burn List, or drag the file to the List pane.

  5. If you have selected more files than can fit on one CD, the Player can burn all of the files to multiple CDs. Or you can try switching to burning the files to a data CD to fit more files on the CD (but note that many CD players cannot play music burned to a data CD). If you only want to burn one CD in this session, remove files from the list until they all fit on one CD. To do so, right-click the file you want to remove, and then click Remove from List. Note that removing files from the burn list will not delete the affected files from the library.

    For an audio CD, it is possible that the last song will not fit even if the total time exactly matches the CD length, because the Player inserts two seconds between songs when burning.

  6. In the list, drag files up or down to arrange them in the order you want them to appear on the CD. If you have chosen to burn more than one CD at once, make sure that the files will be burned to the CD you want.

  7. Click Start Burn.

  8. If you are burning multiple CDs, insert a blank CD when the first one has finished burning, and then click Start Burn. Repeat this step until you have finished burning all of the CDs.

    As the CD is burned, you can check its progress in the burn list. Burning a CD will take some time.

    It is recommended that you do not try to perform any other actions on the computer while burning a CD. For example, playback and recording may be affected if you try to play music from the library while burning a CD.

For information about burning, including the types of discs and types of files that you can burn, see the Burn FAQ.

Note image Note

  • Unauthorized use and/or duplication of copyrighted material may be a violation of copyright law in the United States and/or other countries/regions. Copyrighted material includes, but is not limited to, software, documentation, graphics, lyrics, photographs, clipart, animations, movie and video clips, as well as sound and music (including when MP3 encoded). Violation of U.S. and international copyright laws may subject you to significant civil and/or criminal penalties.

See also

Change settings for burning a CD

Troubleshoot problems


Burn a CD in Windows Media Player FAQ

Show All

Here are some answers to common questions about burning CDs in the Player. If you don't see your question listed here, see the Windows Media Player FAQ online.

click to expand What can I burn?

You can use the Player to burn a mix of songs from your Player library or computer to an audio CD, after which you can play the CD in any standard CD player. You can also burn files to data CDs. It is not possible to burn live streams, such as radio stations, to a CD.

click to expand What types of CDs can I burn?

You can use either a blank CD-R or CD-RW disc for burning in the Player, depending on the type(s) of removable storage that your CD burner supports, and the type of disc that you prefer. Note that not all CD players can play CD-RW discs. You can use the Player to burn the following types of CDs:

  • Audio CD. Burn music CDs in standard Red Book audio format. Audio CDs can be played in most computers and in home and car CD players that play CD-R and CD-RW discs. You can burn an audio CD from either Windows Media Audio (WMA), MP3, or WAV file formats.

  • Data CD. A data CD, also called a media CD, can store approximately 700 megabytes (MB) of music or video files. Data CDs are also useful if you want to back up your data files. Keep in mind, however, that some CD players and computers may not be able to play data CDs or to play some of the file types that can be burned to a data CD.

click to expand Why do the songs on the CD I burned play in a different order than the list I created?

If you burn a data CD and play it on another computer or play it in a portable, home, or car CD player, the songs might not play in the order in which they appeared in your burn list. The playback order of data CDs is determined by the device or other program that you are using to play the CD. In most cases, the songs will play back in alphanumeric order by file name.

click to expand Why doesn't the CD I burned play in my CD player?

If you burn a data CD with music files and it does not play in your portable, home, or car CD player, check the following:

  • Your CD player may not support playback of data CDs. Refer to the CD player's documentation for details.

  • The CD might be burned onto media, such as CD-RW, that is not compatible with the CD player. Refer to the CD player's documentation for details.

  • Your CD player may not support playback of the type of music files burned on the disc (WMA or MP3). Refer to the CD player's documentation for details.

  • The songs might be protected with media usage rights. Other computers may be able to aquire usage rights and play the songs if they have a connection to the Internet, but devices such as portable CD players and car stereos will not be able to acquire those rights, so protected content will be unplayable.

  • The CD might not have been closed when it was burned. Usually you can resolve this problem by adding more songs to the burn list so you are close to the maximum capacity of the CD. Then, try burning the list again to a new CD.

click to expand Why doesn't this blank disc work for burning?

If the disc you inserted is identified as "Blank disc" in the Navigation pane but a message in the List pane instructs you to insert a writable disc, the disc might be defective or no longer writable. This disc might not be writable, for example, if you previously tried to burn items to the disc but you stopped the burn before it was finished. Try inserting a writable disc that you have not previously used.

click to expand Why do one or more of the items in the burn list have an information button next to them?

The appearance of the information button Picture of the Information button next to an item in the burn list indicates there may be a problem with that item. It might indicate that the song file is protected by media usage rights that are either missing or do not allow burning to a CD. It might also indicate that the item is something other than a song file in the supported .wma, .mp3 or .wav media file formats when attempting to burn an audio disc. All other types of files, such as digital video or photo files, can only be burned to a data disc. Lastly, the button could indicate the duration of the song is not yet known to the Player. Click the button to see the message it contains.

It is always good practice to listen to the songs you intend to burn all the way through at least once to confirm there are no quality problems with the recordings. By doing so, the Player will also resolve any possible incorrect duration data for those songs.

If the burn list was created from an existing playlist but one or more of the songs are no longer available on your computer, an error button Picture of the Error button will appear next to the missing song.

click to expand Why are there occasionally long gaps between songs on the CDs I burn?

Some CDs, when some of their songs are ripped, may include one or more seconds of silence in the ripped music file after the music ends. Other CDs may include silence gaps at the beginning of some songs. Many CDs mark the beginning and ending of songs with the introduction and end of audible sound on each track. The Player automatically adds a two-second gap between songs when burning audio CDs to keep the next song from beginning immediately after the end of the previous song. The extra silence gaps included in the music files from the ripped CDs can create long, inconsistent pauses between songs. Since the Player's two-second pause cannot be turned off, the only way to resolve this issue is to use an audio file editor to remove the silence gaps in the song recordings themselves.

click to expand How can I tell if a custom burned CD is an audio or a data disc?

Put the disc in a CD-ROM drive in your computer. Start Windows Explorer and look at the contents on the CD you just inserted. If you see the file type .CDA on the CD, that indicates that the CD was burned as an audio CD. A data CD may contain any type of file, from .wma and .mp3 digital music files, .wmv digital video files, or even backups of document files.

click to expand How can I find out the status of the CD I am burning?

As the disc is burned, you can check its progress by clicking the Burn tab, and then clicking the disc burner that is burning in the Navigation pane. Burning a disc will take some time. For best results, don't try to perform other actions, such as playing other files, while burning a disc.

click to expand Why doesn't the Player recognize my USB-connected burner?

Check that the burner is connected to your computer. If it is connected, and you haven't yet created a list of files to burn, simply exit and then restart the Player. Once you do so, the Player should recognize your USB burner. If you had created a list of files to burn, you can save the list before exiting the Player by doing the following:

  1. Click the List button at the top of the List pane, and then click Save Playlist As.

  2. Type a name for the list, and then click Save.

  3. Exit and then restart the Player.

  4. Click the Burn tab. If you have multiple CD burners, click the arrow below the Burn tab, and then click your USB burner.

  5. In the Navigation pane, click Playlists, and then drag the list you had saved to the List pane.

  6. Click Start Burn.

click to expand Why am I asked if I want to skip a file when burning starts?

Before burning starts, the Player performs an initial check of the files in your burn list. In some cases, a file may have an error condition that prevents it from burning, or the file may be protected with media usage rights that either prohibit burning to an audio CD or limit the number of times the file can be burned to an audio CD. When the Player encounters one or more files with a problem during the initial check, the Player displays a dialog box to give you the option of either skipping the files (and continuing with burning the other files in the list) or stopping burning so that you can try to resolve the problem. If the Player finds problems with any other files after the initial check, it will be necessary to resolve the problems or remove the files from your burn list before you can continue burning.

Note image Note

  • Unauthorized use and/or duplication of copyrighted material may be a violation of copyright law in the United States and/or other countries/regions. Copyrighted material includes, but is not limited to, software, documentation, graphics, lyrics, photographs, clipart, animations, movie and video clips, as well as sound and music (including when MP3 encoded). Violation of U.S. and international copyright laws may subject you to significant civil and/or criminal penalties.

See also

Burn a CD


Change settings for burning a CD in Windows Media Player

There are a number of settings you can customize to make burning in Windows Media Player work better for you.

  1. Click the arrow below the Burn tab, and then click More Options.

  2. Make one or more of the following changes:

    • Burn speed. It is not usually necessary to adjust the burn speed unless you are having problems burning; in that case reducing the burn speed might correct the problem. This setting applies to all burners that you use with your computer.

    • Automatically eject the disc after burning. Select this check box if you want CDs to be ejected automatically after they are burned.

    • Apply volume leveling across tracks on the CD. If you are burning songs that were originally recorded at different volume levels, select this check box to minimize the volume differences between the songs on audio CDs that you burn. Doing so helps you to avoid having to adjust the volume as you play the CD.

    • Add a list of all burned files to the disc in this format. When burning a data disc, the Player creates a playlist that lists the files being burned and then includes the playlist on the disc. If your playback device supports playlists, the items will play back in the order in which they appeared in your burn list. By default, the playlist is a file with a .wpl extension. If you want to play your data discs in a device that doesn't support .wpl playlists, you can use the .m3u format instead.

    • Use media information to arrange burned files in folders on the data CD. Select this option if you want to organize files burned to data CDs into the following folders: \Music\Artist\Album, \TV, \Video, and \Picture (this folder will include a portion of the original path of the file as well). If you don't select this option, all of the burned files are stored together in the root folder of the CD. If album and album artist media information is missing from the files, they will be stored in folders titled Unknown Artist\Unknown Album. To prevent this from happening, make sure the files contain album and album artist information before burning. If necessary, you can add or edit the media information for the files.

    • Fit more music on the disc by converting to a lower bit rate. If you want to fit more files onto a data CD, you can convert the files to a smaller size before burning. In addition to being converted to a smaller size, files that are in MP3 or WAV format will also be converted to WMA format. If you burn any files that are at or below the bit rate you specify, the files will not be converted. Note that the time required for burning will increase when you convert files, and that the audible audio quality may be diminished.

See also

Burn a CD


Ripping music from CDs

You can use Windows Media Player to rip (copy) music from your CDs to your computer. After that, you can sync the songs to a portable music player, burn a mix CD for a party, or play the songs without the hassle of having to find the CD.

This section covers:

  • Rip music from a CD
  • Rip music FAQ
  • Change settings for ripping music


Rip music from a CD

Show All

You can rip (or copy) tracks from your audio CDs onto your computer with Windows Media Player, after which the songs that you rip become files on your computer.

click to expand To rip music from a CD

  1. Check that you are connected to the Internet.

    When connected to the Internet, the Player attempts to retrieve media information about the tracks being ripped from a Windows Media database that is maintained by Microsoft. The Player then adds the information to the files during ripping. If media information is wrong or missing, you can add or edit it after ripping, as described in the procedure below in this topic.

  2. (Optional) To select a different format or bit rate for the files that are created during ripping, click the arrow below the Rip tab, and then make your selections from the Format and Bit Rate commands.

    You can also change the default settings later on the Rip Music tab of the Options dialog box.

  3. Insert an audio CD into the CD drive, and then click the Rip tab.

    By default, the Player begins ripping the CD automatically when you are in the Rip tab or switch to it after the CD was inserted. You can also choose to have ripping begin immediately upon inserting the CD, or you can turn off automatic ripping. For information about changing these settings, see Change settings for ripping music.

  4. (Optional) As the Player begins ripping the CD, clear the check boxes next to any songs that you don't want to rip. Or, click Stop Rip, make your selections, and click Start Rip to restart ripping. (Partially ripped songs are not saved.)

  5. After the songs have been ripped, you can find and play them in your library.

  6. In some instances, you may be prompted to manually add missing media information after ripping has completed. See the procedure on how to add or edit media information after ripping in this topic.

click to expand To add or edit media information after ripping

  1. Connect to the Internet.

    If media information is missing because you weren't connected to the Internet during ripping, the media information typically will appear for the newly ripped tracks soon after you connect to the Internet. If it does not, or if the information is not correct, continue with the following steps to add or edit the information. If you do not have Internet access, you can manually edit media information.

  2. Click the Library tab, and then browse to the album you just ripped.

  3. Right-click the album, and then click Find Album Info.

  4. If you get an error message that says you must change your privacy settings, do the following:

    1. Click the arrow below the Rip tab, click More Options, and then click the Privacy tab.

    2. Select the Update music files by retrieving media info from the Internet check box.

    3. Repeat step 3 to open Find Album Info.

  5. Do one of the following:

    • If the correct album or artist information appears in the search results, select the correct entry, and then follow the instructions on the page to update the album art and media information automatically. If the correct album does not appear in the search results, follow the instructions on the page to search again using different search criteria or to add the media information manually.

    • If the correct album information appears with a generic music icon displayed as the album art, then album art is not available for download. For information about adding album art yourself, see the procedure about adding album art manually in Add or change album art.

Note image Note

  • Unauthorized use and/or duplication of copyrighted material may be a violation of copyright law in the United States and/or other countries/regions. Copyrighted material includes, but is not limited to, software, documentation, graphics, lyrics, photographs, clipart, animations, movie and video clips, as well as sound and music (including when MP3 encoded). Violation of U.S. and international copyright laws may subject you to significant civil and/or criminal penalties.

See also

Rip music FAQ

Troubleshoot problems


Rip music FAQ

Show All

Here are answers to some common questions about ripping. If you don't see your question listed here, see the Windows Media Player FAQ online.

click to expand What is ripping?

With ripping, tracks on your audio CDs are copied onto your computer as files. After that, you can sync the files to a portable music player, burn the files to a mix CD, add the files to a playlist, or simply play the files without having to find and insert the CD.

click to expand What happens if I decide to copy protect music that I rip?

If you copy protect the tracks that you rip from a CD, the ripped files are protected, which means that media usage rights are required to play, burn, or sync the file. If you copy the files to another computer and try to use them, you might be prompted to download media usage rights for that computer. There are a limited number of times that you can download media usage rights for your ripped files.

If you intend to use your ripped music on multiple computers, do not copy protect the files. If you want to limit the distribution of any songs that you rip, turn on copy protection before ripping. Note that you can't remove copy protection from a file once it has been applied. Copy protection is only available when you rip music to a Windows Media Audio (WMA) format. For information about turning copy protection on or off, see Change settings for ripping music.

click to expand Where do I find the files that I ripped?

Ripped files are automatically added to your Player library. On your computer, the files are located in the folder that is specified on the Rip Music tab of the Options dialog box. You can change the folder at any time.

click to expand Can I rename or move files that I have already ripped?

Yes. If you change the naming convention or storage folder for ripped files, you can apply the changes to files you had ripped previously as well. To do so, select the Rename music files using rip music settings and Rearrange music in rip music folder, using rip music settings check boxes on the Library tab of the Options dialog box. When you do so, each file will be renamed and moved the next time media information is retrieved or edited for the file.

click to expand Can I change the format or bit rate of files that I have already ripped?

It is not possible to use the Player to change either the format (for example, from WMA to MP3) or bit rate of previously ripped files.

click to expand Can I listen to music while ripping?

Yes. You can listen to any of the following while ripping music: the CD you are ripping, other content in your library, other audio CDs if you have multiple CD or DVD drives, or streamed content from the Internet.

Note image Note

  • Unauthorized use and/or duplication of copyrighted material may be a violation of copyright law in the United States and/or other countries/regions. Copyrighted material includes, but is not limited to, software, documentation, graphics, lyrics, photographs, clipart, animations, movie and video clips, as well as sound and music (including when MP3 encoded). Violation of U.S. and international copyright laws may subject you to significant civil and/or criminal penalties.

See also

Rip music from a CD

Change settings for ripping music


Change settings for ripping music

You can use Windows Media Player to rip (or copy) the tracks from your audio CDs onto your computer, after which the tracks that you rip become files on your computer. There are a number of settings you can customize to make ripping work better for you.

  1. Click the arrow below the Rip tab, and then click More Options.

  2. Make one or more of the following changes:

    • Location. Click Change if you want to store ripped files in a different folder on your computer.

    • File Name. Click if you want to use a different naming convention for ripped files. For information about how to apply changes to the naming convention or storage folder to files you had previously ripped, see the Rip music FAQ.

    • Format. Choose a format for the files that are created during ripping. The default format is Windows Media Audio, which optimizes the balance between file size and sound quality and is supported by PlaysForSure-verified devices. Other available options are:

      • Windows Media Audio Pro, which is designed to be used in low storage capacity portable devices, such as mobile phones, where the increased efficiencies of the format improve the audio quality at lower bit rates. Note that not all devices support this format.

      • Windows Media Audio (Variable Bit Rate), which can reduce the file size but may also take longer to rip.

      • Windows Media Audio Lossless, which provides the best audio quality but increases the file size.

      • MP3 and WAV (Lossless), which provide added flexibility.

      Your selections apply to tracks you rip in the future; it is not possible to use the Player to change the format of a track you already ripped. If you are not sure which format works best for your needs, you can try ripping to different formats and quality settings and listen to the differences to help you decide.

    • Copy protect music. Select this option if you want ripped files to be protected with media usage rights. For more information about copy protection, see the Rip music FAQ.

    • Rip CD when inserted. If you select this option, you can choose either the option Only when in the Rip tab to have ripping automatically begin after inserting a CD only when you go to the Rip tab or Always to have ripping begin immediately upon inserting a CD. Note that with this feature turned on, you are not prompted to confirm your rip music settings, all tracks are selected for ripping, and that ripping will begin regardless of whether or not you have a connection to the Internet to get media information. If no media information was found during the ripping process, the Player will advise you to manually enter media information after ripping has completed.

      These settings are also available by clicking the arrow below the Rip tab, pointing toRip CD Automatically When Inserted, and then making your selection from the menu.

    • Eject CD when ripping is complete. Selecting this check box, in addition to Rip CD when inserted, is useful if you want to rip several CDs in succession.

    • Audio quality. You can adjust the compression quality used during ripping. Choose a quality setting that represents the best balance between quality and file size for your needs. If you are not sure what setting to use, try ripping to different formats and bit rates and then play the files. Note that it is not possible to adjust the quality if you have selected a lossless format.

See also

Rip music from a CD

Rip music FAQ


Synchronizing to devices

You can use Windows Media Player to sync music, video, and pictures to a wide variety of portable devices, including portable media players, storage cards, and Portable Media Centers. Simply connect a supported device to your computer and the Player will choose the sync method that is best for your device. Then you're ready to transfer your digital media files to your device and enjoy them wherever you go.

This section covers:

  • Sync FAQ
  • Set up a device to sync
  • What if my device syncs with another Player library?
  • How do I stop a file from synchronizing to a device?
  • Sync manually
  • What information does the Player exchange or store during sync?
  • Converting files before sync FAQ


Windows Media Player Sync FAQ

Show All

Here are answers to some common questions about sync in Windows Media Player. If you don't see your question listed here, see the Windows Media Player FAQ online.

click to expand What is sync?

In the Player, sync is the process by which digital media files are copied from your Player library to a portable device, after which you can play the files on the device.

click to expand What devices can I sync to?

You can sync to a wide choice of devices, including portable media players, storage cards, and Portable Media Centers. To find portable devices that are compatible with the Player, see the Find devices Web page.

click to expand What kinds of files can I sync?

The Player can sync most audio and video files, and pictures in .jpg format that are stored on your computer. Not all devices support all file types, however, so you should refer to the documentation that comes with your device for information about the file types it supports. Note that you can't sync streamed files.

click to expand How do I know which files will sync to my device with automatic sync?

The Player syncs your entire library by default. If your library grows over time, eventually it may no longer fit on your device, after which the Player prioritizes the playlists in your library to sync your favorites first. Then, during sync, lower priority files are removed from the device to make room for higher priority files. (The files remain in your library.) The Player prioritizes your playlists in the following order (some playlists may not apply if your device does not support playing or viewing the file types in the playlist):

  1. Playlists you have created

  2. Music auto-rated at 5 stars

  3. Music added in the last month

  4. Music that you rated at 4 or 5 stars

  5. Music played in the last month

  6. Pictures taken in the last month

  7. Pictures rated at 4 or 5 stars

  8. TV added in the last week

  9. Video rated at 4 or 5 stars

  10. Music played the most

  11. All music

  12. All pictures

  13. All video

To check which files are included in a playlist, do the following:

  1. Click the arrow below the Sync tab, point to the device, and then click Set Up Sync.

  2. In the Selected playlists list, click a playlist to see which files will sync as part of the playlist.

click to expand I downloaded a file to my device. Can I copy the file to the Player library?

Yes, you must have a device that supports copying from the device to the Player library. If the device recognizes the files as new, and you have an automatic sync relationship then the content will be automatically copied to your computer. To manually copy files from your device, connect the device to your computer, click the Sync tab, find the files in your device you would like to copy, and then do one of the following:

  • Right-click the file, click Add to "Sync List", and then click Start Sync.

  • Drag files from the list of items on the device to the List pane, and then click Start Sync.

Note that a file you copy from your device will also be added to the sync playlist Copied from Device. If you subsequently delete the file from your computer, it will be removed from the playlist the next time you sync.

click to expand Will changes I made to a file on my device appear in the Player library?

If your device supports it, changes you make on a device to media information for a file will typically appear in your Player library the next time you sync. However, if you also changed the same attribute in your library since the last sync, the version that is in the library is what is retained.

click to expand How many devices can I sync to?

Each Player library can sync with up to 16 devices. If you reach this limit and try to add another device , you will encounter an error message that instructs you to remove an existing sync partnership. To do so, you must remove a device from the library.

click to expand What happens if I delete files from my library or from the device?

If you delete a file that is in a sync playlist from your library or computer, the file will also be deleted from your device and the sync playlist the next time you sync. If you delete files from your device, the files will not sync again. For more information about deleting files from your device, see How do I stop a file from synchronizing?

click to expand Can I stop the Player from starting sync when I connect my device?

Yes. If your device syncs automatically, the Player starts sync every time you connect the device to a computer. You can turn this option off if you want to choose when sync starts by doing the following:

  1. Click the arrow below the Sync tab, point to the device, and then click Advanced Options.

  2. The properties dialog box for your device is displayed. In the Sync tab, clear the Start sync when device connects check box.

    The next time you want to sync, connect the device to your computer, click the Sync tab, and then click Start Sync.

click to expand Can I stop the Player from filling up my device entirely?

Yes. If you have a device that accommodates different types of files, you can control how much of the device you fill with digital media files by doing the following:

  1. Click the arrow below the Sync tab, point to the device, and then click Advanced Options.

  2. The properties dialog box for your device is displayed. In the Sync tab, move the slider to select the amount of space you want to reserve for other files.

click to expand Why are some files converted before sync?

Some devices require files to be converted to a quality level and/or format that is optimized for playback on the device. For more information about conversion, see the Conversion FAQ.

See also

Set up a device to sync

What if my device syncs with another library?


Set up a device to sync in Windows Media Player

Show All

You can use Windows Media Player to sync, or copy, digital media files from your Player library to a portable device. When you connect a device for the first time, the Player selects the sync method (automatic or manual) that works best for your device, depending on its storage capacity and the size of your library. If your device's storage capacity is more than 4 gigabytes (GB) and your entire library can fit on the device, the Player automatically syncs your entire library. Then, every time you connect your device to your computer in the future, the Player updates the device to mirror your library. You can also choose what syncs automatically by selecting the playlists you want to sync.

If the storage capacity of your device is less than 4 GB or if your entire library can't fit on the device, the Player selects manual sync. With manual sync, you select the files or playlists you want to sync each time you want to make changes to the files on your device, and you manually remove files from your device.

After your device is set up the first time, you can switch between automatic and manual sync if you want.

click to expand To set up your device

  1. Start the Player, and then connect your device to your computer. If prompted, select the option to sync the device using Windows Media Player.

  2. Do one of the following:

    • If the Player has selected to sync your device automatically, click Finish. When you do so, the Player will sync your entire library to your device. After that, your device will sync every time you connect it to your computer.

    • If the Player has selected to sync your device manually, click Finish. Then, in the Sync tab, you can select the files and playlists you want to sync manually.

  3. For automatic sync, if you want to sync only a portion of your library, you can choose what syncs automatically. See the procedure on how to choose what syncs automatically in this topic.

click to expand To choose what syncs automatically

    If your device syncs automatically, you don't have to sync your entire library. Instead, you can choose from existing playlists or create new playlists of files that you want to sync. The playlists you select will then sync to your device every time you connect it to your computer.

  1. Click the arrow below the Sync tab, point to the device, and then click Set Up Sync.

  2. In the Available playlists list, select the existing playlists you want to sync and then click Add.

  3. To create a playlist, click Create Auto Playlist and follow the steps on the screen to specify criteria for files in the auto playlist.

  4. To remove a playlist, click the playlist in the Playlists to sync list, and then click Remove.

  5. Do one of the following:

    • In the Playlists to sync list, select your playlists one at a time and click the Priority arrows to arrange them in the order you want them to sync. If your device fills up before sync is complete, files and playlists that are lower in the list may not sync.

    • Select the Shuffle what syncs check box if you want the Player to shuffle the files that are in the playlists you have selected to sync. With this option, every time you connect your device the files on the device are removed and a new set of files (from the playlists in the Playlists to sync list) are added to the device. This option is useful if you have a device with limited storage capacity, you like to rotate through your music, or if your library has grown too large to fit on your device.

click to expand To switch between automatic and manual sync

    Once you have set up a device for the first time, you can switch between automatic or manual sync for the device, depending on your preference.

  1. Click the arrow below the Sync tab, point to the device, and then click Set Up Sync.

  2. Clear or select the Sync this device automatically check box.

  3. Do one of the following:

    • If you are switching to use automatic sync, choose what syncs automatically. For more information, see the procedure about choosing what syncs automatically in this topic.

    • If you are switching to use manual sync, select the files and playlists you want to sync manually.


What if my device syncs with another Windows Media Player library?

If you connect a device to your computer that already syncs with a different Windows Media Player library, you can choose to sync to the current library temporarily, or you can choose to switch the device to sync to the current library permanently. If you choose to sync temporarily only, certain Player features are not available. For example, any changes to the media information on the device will not be copied to the file in the library. Also, the library that has the permanent sync partnership with the device will not be able to remove any files added in the current session, and you must manually remove the files.

If you decide to sync to the current library permanently, any existing files on the device will remain on the device until you remove them manually. To remove files manually, do the following:

  1. Start the Player, and then connect the device to the computer.

  2. If necessary, click the Sync tab, and then, in the Navigation pane, click the device.

  3. Right-click the file or files that you want to remove from the device, and then click Delete.

See also

Set up a device to sync


How do I stop a file from synchronizing to a device in Windows Media Player?

Show All

If your device syncs automatically, you can skip a file in a playlist that syncs if you want to prevent that file from synchronizing. You have several options for skipping files:

  • Delete the file from the device. If you delete a file from your device and that file is part of a playlist that syncs, Windows Media Player will skip the file the next time you sync your device. This ensures that the file will not reappear on the device.

  • Delete a file from a subscription service from your computer. If you have a subscription service through an online store, a playlist that syncs to your device may include subscription files. When you delete one of these files from your computer, the Player will skip the file in the next sync, even if a playlist that syncs to your device includes the file. If you want, you can sync the file again. See the procedure on how to allow a skipped file to sync again in this topic.

  • Remove a file that has an error condition. If a file can't sync due to an error condition, you can try to resolve the problem so that the file can sync successfully. Or, you can prevent the Player from trying to sync the file again by clicking the error icon next to the file in the Sync tab, and then clicking Skip This File Every Sync. You can also skip all other files with the same error condition by clicking Skip All Files with This Error Every Sync.

click to expand To allow a skipped file to sync again

    Using the Sync tab of the Player, you can see which files you have skipped for a device and allow the files to sync again. Note that this is only possible if the files you skipped are still part of a playlist that the device syncs automatically.

  1. Connect the device to the computer, and then click the Sync tab. If sync doesn't start automatically, click Start Sync.

  2. Once sync is complete, in the Navigation pane, click the device, and then click Sync Results.

  3. In the Details pane, click the Status column to sort by status. Files that you have skipped are sorted together.

  4. Do one of the following:

    • To allow a file to sync again, click the information button Picture of the Information button and then click Sync This File. Or, drag the file from the Details pane to the List pane.

    • To allow all skipped files to sync again, click the arrow below the Sync tab, point to the device, and then click Sync Previously Skipped Files.

See also

Sync FAQ


Sync manually in Windows Media Player

Show All

If your device syncs manually, you must create a list of files and playlists that you want to sync each time you want to make changes to the files on your device, and you must manually remove files from your device. You can also shuffle songs on your device. This is useful if you want Windows Media Player to select a random list of songs from the Player library to sync to your device.

click to expand To add or remove items from a device

  1. Start the Player, connect your device to your computer, and then click the Sync tab.

  2. If more than one device is connected, in the Navigation pane, click the device.

  3. Drag files, albums, and/or playlists to the List pane to add them to the list of items to sync.

    To select multiple adjacent items, press and hold the SHIFT key while selecting. To select nonadjacent items, press and hold the CTRL key while selecting.

  4. To remove items, click the item in the List pane, and then click Remove from List.

  5. In the List pane, verify that the list of items to sync contains the items you want and that they all fit on the device.

  6. Click Start Sync.

click to expand To shuffle music on a device

  1. Start the Player, connect your device to your computer, and then click the Sync tab.

  2. Click the arrow below the Sync tab, point to the device, and then click Shuffle.

    -OR-

    In the List pane, click the Shuffle music link to add a shuffled set of songs from your library to the List pane. Add or remove any songs you want, and then click Shuffle Now.

click to expand To format a device

  1. Start the Player, and then connect your device to your computer.

  2. To format the device, or to format storage media that is inserted in the device, click the arrow below the Sync tab, point to the device, and then click Format. Note that it may not be possible to use the Player to format every device; see your device documentation for more information.

    Warning image Warning

    • Formatting erases all data on the device.

See also

Set up a device to sync

Sync FAQ


What information does Windows Media Player exchange or store during sync?

The following table shows the various information that Windows Media Player and your device exchange during sync.

This information | Does this
Device information | Contains information stored about all devices that the Player syncs with. The Player also stores information about the files in your library that have been synchronized to each device. Storing the information reduces the time required for the Player to recognize a device and the files to sync to it when you connect the device to your computer. For some devices, the Player also places a file named WMPInfo.xml on the device to track the sync partnership.
Device capabilities | Specifies information the Player determined about the capabilities of the device you are using to sync with your computer, such as the file formats and bit rates the device can play, the amount of available storage space on the device, and whether the device supports storing files in folders. The Player will not try to sync file types that your device cannot play. For mass storage class devices, the Player can only determine the available storage space on the device and only sync music files to the device by default. To sync other file types to mass storage class devices, drag the other file types onto the device; the Player cannot automatically sync them. (You can tell a device is a mass storage class device if your computer assigns a drive letter to the device when you connect it to your computer.)
Media information | Specifies the types of media information the Player can sync for music files, if the device can display the information: album art, track artist, track title, album title, album artists, track number, genre, and release year. If your device permits you to mark an album for purchase later (for example, by selecting a Buy CD command), the next time you connect your device to your computer, your Internet browser will open a Web page that allows you to complete the transaction.
Media usage rights | Specifies what you can do with a protected media file if you sync it to your device. The media usage rights for the file are also synchronized to the device. Media usage rights may contain information such as the number of times you can play the file or an expiration date. Typically, any files that you obtain from an online store are protected with media usage rights. For more information about protected files, see the DRM FAQ.
Play count | Specifies the number of times a file was played, both in the Player and on the device. The play count is updated in your library and on your device during sync. If the file is protected with media usage rights that specify a limit to the number of times the file can be played, the updated play count is used to determine if the limit has been reached. In addition, auto playlists in your library that have criteria based upon play count are updated with the play count, and auto-ratings, which change based upon the number of times an item is played, are also updated.
Time | Identifies the time a file was last played on the device, so that the auto playlists in your library that have criteria based upon the time when files are played are updated appropriately.
Ratings | Updates ratings information for files in your library if you changed the rating for the file on the device. Your device must support the ability to change ratings. The auto playlists in your library that have criteria based upon ratings are updated appropriately.


Converting files before sync in Windows Media Player FAQ

Show All

Here are answers to some common questions about converting files before sync in Windows Media Player. If you don't see your question listed here, see the Windows Media Player FAQ online.

click to expand Is it always necessary to convert files before sync?

No. Conversion occurs only if your device requires files to be converted to a quality level and/or format that is optimized for playback on the device. Conversion does not affect the original file.

click to expand Can I turn conversion off?

For some older devices, it is possible to turn conversion off. However, it is not possible to do so for a device that supports the Multimedia Transport Protocol (MTP), because an MTP device accurately reports to the Player whether conversion is required to ensure that you can play files on the device. If you do have a device for which you can turn conversion off, keep in mind that doing so may prevent the device from being able to play files or may cause the device to behave unexpectedly if you sync files that exceed the device's capabilities. For these reasons, you should typically allow files to be converted before sync. If you do want to turn conversion off for a device that supports it, do the following:

  1. Click the arrow below the Sync tab, point to the device, and then click Advanced Optons.

  2. The properties dialog box for your device is displayed. Click the Quality tab, and then clear the Convert music, pictures, videos, and TV shows as required check box.

click to expand Can I choose the quality of the files that are converted?

Yes. Typically, you should allow the Player to select the quality level automatically, to ensure that your device can play the files. If you want to sync files to your device at a higher quality level, check your device's documentation first to verify what quality level the device supports. Also, note that if you sync a file that is below the quality level you have specified, the file will sync at its existing quality level (its quality level will not increase). To adjust the quality level for converted files, do the following:

  1. Click the arrow below the Sync tab, point to the device, and then click Advanced Options.

  2. The properties dialog box for your device is displayed. Click the Quality tab, and then select the quality settings you want for music and video. (It is not possible to specify a quality setting for converting pictures.) The actual bit rate of the file might be slightly different than the bit rate you select.

You can also choose to have the Player use additional computing power to increase the quality of converted video files by doing the following:

  1. Click the arrow below the Sync tab, and then click More Options.

  2. Click Advanced.

  3. In the File Conversion Options dialog box, select the Choose quality over speed when converting video (increases the conversion time) check box.

click to expand Is there any way to reduce the time it takes to convert?

Yes. If you have set up your device to sync automatically, you can turn on background conversion. When you do so, any files that require conversion before they can sync will be converted in the background, which reduces the time it takes to sync. By default, background conversion is turned on for video files. To turn on background conversion for audio files, do the following:

  1. Click the arrow below the Sync tab, and then click More Options.

  2. Click Advanced.

  3. In the File Conversion Options dialog box, select the Allow audio files to convert in the background check box.

Once you have turned it on, background conversion will start when all of the following occur:

  • Player is running and your computer has been idle (no mouse or keyboard input) for 10 minutes.

  • Your device is disconnected from the computer. (If the device is connected, the Player will convert and sync the files.)

  • Your computer is plugged in (rather than running on battery power).

Once conversion starts, you can use your computer again. The Player must continue to run while conversion takes place, but you can minimize it to the Windows taskbar. The conversion process runs at idle priority, which means that conversion uses all of your computer's unused processor capacity, but should not affect your use of the computer. Conversion will stop when any of the following occur:

  • All files have been converted.

  • You exit the Player.

  • The folder that stores converted files reaches the specified disk space.

  • The computer switches to battery power (conversion will resume when you plug the computer in again).

See also

Sync FAQ

Troubleshoot problems


Shop online in Windows Media Player

Show All

You can use Windows Media Player to find and subscribe to music, video, radio services, and other types of content from online stores provided by Internet content providers. Depending on the store, you can do any number of things with the content, including playing, downloading to your computer, buying, burning, and synchronizing the content to a portable device. All downloaded content appears in the library. All content downloaded during the current session of the Player also appears in the Downloads category (this category is cleared when you exit and restart the Player).

To get started, you can browse through the wide number of stores that are available in the Player until you find the stores that you like. You can then sign up with as many stores as you want and begin shopping. Note that the stores that are available depend on your location.

Some of the stores that are available in the Player are more integrated with the Player. These stores appear as a category in your library, and you can access the content in these stores as if it was another library in the Player. For example, you can drag files from the store to create a playlist or a list of files to burn or sync. You can also search across the entire contents of the store. There are other stores available in the Player as well. These stores appear as Web pages within the Player, and offer a variety of services. You can browse the available stores to find the ones you want to shop from.

Some stores require you to install additional software on your computer before you can use them. To add or remove a store plug-in, you must be logged on as an administrator or a member of the Administrators group.

The content that stores provide is typically protected with media usage rights, which specify what you can do with the content. For example, the file's media usage rights might specify that the file cannot be burned to an audio CD, or they might limit the number of times the file can be burned to an audio CD or synchronized to a device.

Each store specifies what rights they grant to you for the content that they provide. See the DRM FAQ for more information about protected files as well as an explanation of the differences between media purchases versus media subscription services.

click to expand To browse the stores

  1. Click the arrow below the Online Stores tab and then click Browse all Online Stores.

    A Web page is displayed that lists all of the stores that are available. Click a store you are interested in, and the Player will display the store.

    For specific questions about how to use a particular online store, see the customer service or Help links on the store's Web page.

  2. If you want to return to this store regularly, you can mark it as a favorite by clicking the arrow below the Online Stores tab, and then clicking Add current service to menu.

    If you decide at a later time that you no longer want the store to be in the favorite list, simply click the arrow below the Online Stores tab, and then click Remove current service from menu.

click to expand To shop from a different store

    If you have signed up with several different stores, it is easy to switch between them.

  • Click the arrow below the Online Stores tab and click Browse all Online Stores to find the store you want to shop from.

click to expand To use the Media Guide

    The Media Guide in the Player contains a live Web page that is hosted by WindowsMedia.com. The guide is like an electronic magazine; it is updated daily with links to the latest movies, music, and video on the Internet, and includes a broad range of topics from worldwide news to the latest developments in the entertainment industry. You can play everything displayed in the Media Guide feature by using the Player.

  • Click the arrow below the Online Stores tab and then click Media Guide.

click to expand To listen to online radio

    You can use the Player to listen to radio stations that broadcast over the Internet. The Radio Tuner provides a list of some of the most popular stations from around the world.

  1. Click the arrow below the Online Stores tab and then click Media Guide.

  2. Click the link for Radio Tuner.

    Note that some online stores also offer radio programming.


Sharing your media

Using Windows Media Player, you can stream digital media content from your computer to devices and other computers that are connected to your wired or wireless home network.

This section covers:

  • Sharing media on a network
  • Share your media with other people or devices
  • Change settings for sharing media


Sharing media on a network using Windows Media Player

Using Windows Media Player and a home network, you can stream your favorite music, videos, and pictures to any room in your home—even to rooms that don't have a computer.

This article has the following sections:

  • Why would I want to share my media?

  • What equipment do I need?

  • What can I share?

  • Can I prevent certain items in my library from being shared?

  • How do I turn on sharing?

  • What are the privacy and security implications of sharing?

  • What are the network and firewall requirements?

  • Why am I prompted to set up sharing?

Why would I want to share my media?

Like many people, you probably have a lot of music, video, and picture files in your Player library. There may be times, however, when you want to do one of the following:

  • Play files from another computer in your home

  • Play files from an Xbox 360 or other networked digital media player that is attached to your home network

By sharing your media, you can do both of these things.

What equipment do I need?

To share your media, you need the following hardware and software:

  • A wired or wireless home network. For details, see What are the network and firewall requirements?

  • Either a device known as a networked digital media player (sometimes called a digital media receiver) or another computer running Windows Vista. Networked digital media players are hardware devices that connect to your wired or wireless network and allow you to browse and play content from your Windows Media Player library—even if your computer is in another room. For a list of compatible devices, see the PlaysForSure Web site.

What can I share?

You can share nearly any digital media file in your Player library, including protected Windows Media files that you have downloaded from online stores. To share a file in your library, the original file must be stored in one of your monitored folders (by default the Player automatically monitors the folders where most people typically store their digital media files, including the My Music, My Pictures, and My Videos folders). For information about monitored folders, see Add items to the library.

In addition, the file must be of one of the following types:

  • Music files, such as Windows Media Audio (.wma), MP3 (.mp3), and WAV (.wav) files. Note that audio CDs inserted into your computer can't be shared.

  • Video files, such as Windows Media Video (.wmv), AVI (.avi), MPEG-1 (.mpeg, .mpg), and MPEG-2 (.mpeg, .mpg) files. Note that DVD-Video discs inserted into your computer can't be shared.

  • Picture files, such as JPEG (.jpeg, .jpg) and PNG (.png) files.

  • Playlists, such as Windows Media playlist (.wpl) and MP3 playlist (.m3u) files.

Depending upon how your computer is configured, the Player might be able to share other music, video, and picture file types in addition to those listed above.

Note that your networked digital media player might not support playback of all of the file types that the Player can share. For example, your device might support playback of audio files, but not video files or picture files. In addition, your device might be capable of playing songs that you purchased from an online store, but not songs that you've rented through a subscription service.

For more information about the difference between purchased and subscription content, see DRM FAQ. For more information about the capabilities of your device, check the documentation that came with your device.

If you want to share files in a monitored folder that is located on another computer (for example, a folder on a network share), the remote folder must have the appropriate Windows access permissions assigned to it. For more information, see the Windows Media Player FAQ online.

Can I prevent certain items in my Player library from being shared?

Yes. The Player lets you customize what you want to share. For example, you can choose not to share music with explicit lyrics or any picture rated 3 stars or less. You can even create different rules for each computer or device that you stream to. For more information, see the procedure about customizing what you share in Change settings for sharing media.

How do I turn on sharing?

For instructions about how to turn on sharing, see Share your media with other people or devices.

What are the privacy and security implications of sharing?

For information about maintaining your privacy and security when sharing your media, see Privacy and security considerations when sharing media.

What are the network and firewall requirements?

Media sharing is supported on wired and wireless home networks.

Your devices must be on the same subnet as your computer. Most home networks consist of a single subnet. However, if you have multiple routers attached to your home network, you probably have multiple subnets. If you have multiple routers in your home and you have trouble sharing your media to certain devices, try connecting those devices to the same router that your computer is connected to.

To share media to other devices, several firewall ports on your computer must be open. If you are using Windows Firewall, the required Transmission Control Protocol (TCP) and User Datagram Protocol (UDP) ports are automatically opened when you turn on media sharing. If you are using a different software or hardware firewall, you might need to open these ports manually.

The following table shows the firewall ports that must be opened if you want to share media to other devices.

Port | Protocol | Scope
1900 | UDP | local subnet only
2869 | TCP | local subnet only
10243 | TCP | local subnet only
10280-10284 | UDP | local subnet only

Why am I prompted to set up sharing?

When media sharing is turned on and the Player detects a new device on your network, you will be prompted to set up sharing with that device. Click the message, and then do one of the following in the dialog box that appears:

  • To allow the device to access the default media types in your Player library, click Allow.

  • To deny the device access to any media in your Player library, click Deny.

  • To choose which media types to share with this particular device, click Customize Sharing.

See also

Troubleshoot problems


Share your media in Windows Media Player with other people or devices

Show All

If you have a home network, you can use Windows Media Player to share the media in your library with other people, computers, and devices in your home. For example, if you have a networked digital media player, such as an Xbox 360, you can use Windows Media Player to stream music, pictures, and videos from your computer to that device. This allows you to enjoy the contents of your Player library remotely from anywhere in your home—even from rooms that don't have a computer.

If you have more than one computer connected to your home network and the other computers are running Windows Vista, you can share your Player library on each of the computers so that you can access all of your digital media files from any computer in your home.

The following procedures explain how to get started. For an overview about sharing media in the Player, including information about the device and network requirements, see Sharing media on a network. For information about customizing media sharing, see Change settings for sharing media.

click to expand To connect a device or another computer to your network

    The first step is to connect your digital media player devices or other computers to your home network.

  1. Connect your digital media player device, such as an Xbox 360, or your other computer running Windows Vista to your home network.

    This may involve connecting an Ethernet cable from your device or other computer to your wired network or it may involve configuring your device or other computer to use a wireless network adapter to connect to your wireless network. If you need assistance connecting a device to your network, check the documentation that came with your device. For more information about adding a computer to your network, see Windows Help and Support.

  2. If you are connecting a device, turn it on, and then follow any configuration instructions that appear on the device's screen. If you are connecting another computer, turn it on. Note that the other computer must be running Windows Vista.

click to expand To turn on media sharing in Windows Media Player

    If media sharing is not already turned on, you need to turn it on by doing the following:

  1. Click the arrow below the Library tab, and then click Media Sharing.

  2. In the Media Sharing dialog box, select the Share my media check box.

    For information about how to turn off media sharing for all users of your computer, see Change settings for sharing media.

click to expand To choose which devices to share your media with

    After you turn on media sharing, you need to select the computers and devices you want to share your media with. You do this by allowing specific computers or devices to access your Player library.

  1. In the list of devices below the Share my media to check box, select a device.

    If you don't see this list of devices, see the procedure in this topic about how to turn on media sharing.

  2. Do one of the following:

    • If you want to share your media with the computer or device you have selected, click Allow.

    • If you don't want to share your media with the computer or device you have selected, click Deny.

    For information about how to customize what media you share with the device, see Change settings for sharing media.

    Note that you can also allow or deny devices by clicking the notification that appears when the Player detects a new device on your network.

click to expand To use your device or other computer to play shared media

    After you have allowed your computers and devices to access your Player library, you are ready to use your device or other computer to select content to play.

  • Do one of the following:

    • If you are using a device, use the device's remote control to select the name of the computer that is sharing your content. Then use the remote control to browse for content that you want to play.

      If you need assistance using your device to select content to play, check the documentation that came with your device.

    • If you are using another computer that is running Windows Vista:

      1. Start Windows Media Player on the computer that is running Windows Vista.

      2. Click the arrow below the Library tab, and then click Media Sharing.

      3. Select the Find media that others are sharing check box, and then click OK.

        This allows you to see any media that others might share with you. Once you select this check box, you don't need to repeat this step in the future.

      4. Click the Library tab, and in the Navigation pane, click the name of the remote library that you want to use.

        You can play items in the remote library just as you would play them if they were in your local library.

See also

Troubleshoot problems


Change settings for sharing media in Windows Media Player

Show All

You can customize how media sharing works. For information about getting started with media sharing, see Share your media with other people or devices.

click to expand To choose manual or automatic device authorization

    Other computers and devices on your network cannot play items on your computer until they are given permission to access your Player library. You can either choose to manually allow only specific computers and devices to access your library or you can choose to automatically allow all computers and devices on your network to access your library.

  • Do one of the following:

    • To manually allow specific computers and devices to access your library, click the arrow below the Library tab, and then click Media Sharing. Click Settings, and then clear the Allow new devices and computers automatically check box.

      If the Settings button does not appear on the Media Sharing dialog box, media sharing is not turned on. For information about how to turn on media sharing, see Share your media with other people or devices.

      When the Allow new devices and computers automatically check box is cleared and the Player detects a new computer or device on your network that has not been allowed to access your Player library, you will be prompted to manually configure the computer or device to access your library. For information about how to configure computers or devices to access your library, see the customizing which devices have access to your library section in this topic.

    • To automatically allow all computers and devices on your home network to access your Player library, click the arrow below the Library tab, and then click Media Sharing. Click Settings, and then select the Allow new devices and computers automatically check box.

      If the Settings button does not appear on the Media Sharing dialog box, media sharing is not turned on. For information about how to turn on media sharing, see Share your media with other people or devices.

      When the Allow new devices and computers automatically check box is selected and the Player detects a new computer or device on your network that has not been allowed to access your library, the device or computer will automatically be allowed to access your library. Note that this check box does not override any changes you make in the Media Sharing - Customize dialog box. For example, if you click the Customize button and then deny a specific device access to your library, it will continue to be denied even if the Allow new devices and computers automatically check box is selected.

      Warning image Warning

      • If you select the Allow new devices and computers automatically check box, potentially any device on your network will be able to see and play all the items in your Player library. For example, if you have a laptop and you use it outside of your home (such as at work or in location that offers public Internet access), you might inadvertently share your media with other computers or devices in that location. For this reason, we recommend that you only select this check box if you are connected to a secure network (such as a home network that is password-protected) and you trust all the devices on that network. For more information, see Privacy and security considerations when sharing media.

click to expand To customize which devices have access to your Player library

    Regardless of whether you have selected manual or automatic device authorization, you can choose to specifically allow or deny any device access to your library.

  1. Click the arrow below the Library tab, and then click Media Sharing.

  2. In the Share my media to box, click a device.

    If the Share my media to box does not appear on the Media Sharing dialog box, media sharing is not turned on. For information about how to turn on media sharing, see Share your media with other people or devices.

    To help you identify the device, right-click the device, and then click Properties. You can differentiate between devices that have the same name by looking at the Media Access Control (MAC) address of each device.

  3. Do one of the following:

    • To allow the device to access your Player library, click Allow.

    • To prevent the device from accessing your Player library, click Deny.

    • To prevent the device from accessing your Player library or anyone else's library on this computer, right-click the device, and then click Deny for all users.

    • To remove the device from the list of available devices, disconnect the device from your network. In the Share my media to box, right-click the device, and then click Remove from list.

click to expand To customize what media you share with devices by default

    By default, the Player automatically shares the music, video, and picture files in your library with all of your authorized computers and devices. If you want, you can choose to share only some of these media types by default. You can also choose to only share media that has a particular star rating or parental rating.

  1. Click the arrow below the Library tab, and then click Media Sharing.

  2. Click Settings.

    The Media Sharing - Default Settings dialog box appears.

    If the Settings button does not appear on the Media Sharing dialog box, media sharing is not turned on. For information about how to turn on media sharing, see Share your media with other people or devices.

  3. In the Media types area, select the check boxes beside the media types that you want to share (for example, only share Music and Pictures).

  4. In the Star ratings area, select the options and check boxes beside the ratings that you want to share (for example, only share content Rated 4 stars or higher).

  5. In the Parental ratings area, select the options and check boxes beside the parental ratings that you want to share (for example, only share video content that has a particular rating). The ratings that appear in this list are based upon the media information in your audio and video files. You can change the parental ratings of your files by editing the Parental Ratings attribute in the library. For more information, see Add or edit media information.

    Note that if you allow another computer that is running Windows Vista to access your Player library, all users of that computer who turn on the Find media that others are sharing option will have access to that shared content. It is not possible to share your media to only a specific user on a computer.

    Also note that the Player might not be able to share every file that is in your library. To be shared, the original file must be stored in one of your monitored folders and it must be a supported file type. For more information about what you can share, see Sharing media on a network.

click to expand To customize what media you share with specific devices

    You can choose to share the same media types with all devices or you can customize the type of media you share with each device. For example, you can choose to share video with one device on your network, but not with any other devices.

  1. Click the arrow below the Library tab, and then click Media Sharing.

  2. In the Share my media to box, select a device that you have allowed to access your library, and then click Customize.

    The Media Sharing - Customize dialog box appears.

    If the Share my media to box does not appear on the Media Sharing dialog box, media sharing is not turned on. For information about how to turn on media sharing, see Share your media with other people or devices.

  3. Clear the Use default settings box.

  4. In the Media types area, select the check boxes beside the media types that you want to share (for example, only share Music and Pictures).

  5. In the Star ratings area, select the options and check boxes beside the ratings that you want to share (for example, only share content Rated 4 stars or higher).

  6. In the Parental ratings area, select the options and check boxes beside the parental ratings that you want to share (for example, only share video content that is rated PG or G).

  7. (Optional) Repeat steps 2 through 6 for any other computers or devices that appear in the Share my media to box.

    Note that if you allow another computer that is running Windows Vista to access your library, all users of that computer who turn on the Find media that others are sharing option will have access to that shared content. It is not possible to share your media to only a specific user on a computer.

    Also note that the Player might not be able to share every file that is in your library. To be shared, the original file must be stored in one of your monitored folders and it must be a supported file type. For more information about what you can share, see Sharing media on a network.

click to expand To change the name of your library

    When you share your media with other devices and computers, your media is identified on those other devices and computers by the name of your library. Typically, your library name is the same as your Windows account name. If you want, you can change the name of your library to something else.

  1. Click the arrow below the Library tab, and then click Media Sharing.

  2. Click Settings.

    The Media Sharing - Default Settings dialog box appears.

    If the Settings button does not appear on the Media Sharing dialog box, media sharing is not turned on. For information about how to turn on media sharing, see Share your media with other people or devices.

  3. In the Share media as box, type a new name for your library.

click to expand To turn off media sharing for all users of your computer

    If you want, you can turn off media sharing for only yourself or for all users of your computer.

  1. Click the arrow below the Library tab, and then click Media Sharing.

  2. Clear the Share my media to check box, and then click OK.

    By clicking OK, you are confirming that you want to turn off sharing for yourself. You will also be asked if you want to turn off sharing for everyone else that uses this computer.

  3. When you are prompted to turn off sharing for everyone that uses the computer, do one of the following:

    • To make your changes apply to all users of your computer (including yourself), click Yes.

    • To make your changes apply only to yourself, click No.


Maintaining privacy and keeping your computer secure

Microsoft is committed to protecting your privacy and to ensuring a safe and reliable experience when using your computer. To better understand the settings that affect your privacy and to provide information about keeping your computer secure while using Windows Media Player, this section covers:

  • Which settings affect privacy?
  • Which settings affect security?
  • Remove information about what you have played
  • Privacy and security considerations when sharing media
  • Should I allow a Web page to access my library?


Which settings affect privacy in Windows Media Player?

The following table shows settings in Windows Media Player that may affect the privacy of your media information and Player usage. For more information about Player features that affect your privacy, see the Windows Media Player Privacy statement online. Except where noted, the settings in the table are located on the Privacy tab of the Options dialog box.

To access the Privacy tab, click the arrow below the Now Playing tab, click More Options, and then click the Privacy tab.

This setting

Does this

Display media information from the Internet check box

Specifies whether the Player will try to obtain media information for CDs and DVDs that you play. To obtain the information, the Player sends the CD or DVD identifier to a database operated by the online store you are using. The online store then sends the information back to your computer, where it is stored and displayed in the Player. When your computer is offline, the Player stores the request for media information so it can try to obtain it the next time you connect to the Internet. If no online stores are available in your area, the media information is provided by a Windows Media database.

Update music files by retrieving media info from the Internet check box

Specifies whether the Player will automatically obtain and update missing media information for music files that are in your library, if the information is available. If this check box is selected, the Player tries to update any missing media information in the files by sending data about them to a Windows Media database. The update occurs when you go to the library for the first time after updating the Player or when you add files to your library. For example, if you have music files that contain the artist name but not the album name, the Player adds the album name to the file after retrieving the information. The Player also adds album art to files and music folders in your music folder. When you display the Info Center View, the Player retrieves related media information but does not update the information in your files.

Download usage rights automatically when I play or sync a file check box

Specifies whether the Player will automatically try to download media usage rights from a server on the Internet if the rights on your computer are missing or out-of-date when you play or sync a protected file. Downloading media usage rights automatically can provide a more seamless playback and sync experience for protected files because the Player obtains the rights without prompting you first. When requesting media usage rights, the Player will provide the rights server with standard computer information, an ID for the music or video file, the action you have requested (such as play or burn), information about the digital rights management (DRM) components on your computer such as their revision and security levels, and a unique identifier for your computer. The unique identifier is used only to generate media usage rights for your computer and, because it is enclosed in an encrypted request, is not available to the rights server in a way that uniquely identifies you or your computer. For more information about media usage rights, see the DRM FAQ.

Automatically check if protected files need to be refreshed check box

Specifies whether the Player will automatically scan your library for purchased and subscription files that are missing media usage rights, files that have have expired rights, or files that have rights that are about to expire. When this check box is selected and the Player finds files that need to be renewed, the Player will try to download the rights from the Internet. If you are signed in with your online store, you will not be prompted before the Player tries to download the rights. This option helps ensure you have a seamless playback experience on your computer and also alerts you when synchronized files on your portable device are about to expire. When requesting media usage rights, the Player will provide the rights server with standard computer information, an ID for the music or video file, the action you have requested (such as play or sync), information about the digital rights management (DRM) components on your computer such as their revision and security levels, and a unique identifier for your computer. The unique identifier is used only to generate media usage rights for your computer and, because it is enclosed in an encrypted request, is not available to the rights server in a way that uniquely identifies you or your computer. For more information about media usage rights, see the DRM FAQ.

Set clock on devices automatically check box

Specifies whether the Player can verify that the secure, internal clock in a portable device to be synchronized is set to the correct time and date. The Player cannot sync subscription files to a device unless the device has a clock and the clock is set correctly. If this check box is selected, the Player automatically sets the clock on your device when you connect it to your computer. To set the clock, the Player first sends a time inquiry to a Microsoft server. This inquiry contains standard computer information, standard troubleshooting data, and a request for the current time. For more information about your device's capabilities, see your device documentation.

Send unique Player ID to content providers check box

Specifies whether the Player can be uniquely identified by Web servers, using an identifier created by the Player when you stream content from the Internet. The identifier uniquely identifies the Player connection to a server only. The server typically uses this unique identifier to perform tasks such as monitoring your connections, gathering statistics, and providing access to content. By monitoring your connection, the server administrator can often make adjustments to improve the playback quality and to provide additional services. This option is off by default. Note that you may encounter content providers that require you to send a unique identifier to receive content. If so, you can select this check box to provide that identifier. For more information about how a content provider uses the Player ID, see the content provider's privacy statement. If you do not want a server to be able to uniquely identify your computer when you are receiving streaming media, do not select this check box.

Cookies button

Enables the Player to use the cookie settings in Internet Explorer to communicate with other computers when playing streaming content and to communicate with the Web sites that display content in the stores areas of the Player. Cookies also enable content providers to provide personalized services from their Web sites. For more information about cookies, see Internet Explorer Help.

I want to help make Microsoft software and services even better by sending Player usage data to Microsoft check box

Specifies whether you want to join the Customer Experience Improvement Program, which helps to improve the quality, reliability, and performance of Microsoft software and services. By selecting this check box, you can help to improve the Player and related services by sending anonymous Player usage information to Microsoft. We will collect anonymous information about your hardware configuration and how you use the software and services to identify trends and usage patterns. The information that you send us is completely anonymous. Your name, address, or any other personal information will not be collected. There are no surveys to complete, no salesperson will call, and you can continue working without interruption. For more information, read about the Customer Experience Improvement Program online.

Save file and URL history in the Player check box and Clear History button

Lists of your most recently played files are displayed on the File menu and in the Open and Open URL dialog boxes. If this check box is selected, anyone who uses the Player with your user account can see the list of the content that you have played recently. For information about clearing the list, see Remove information about what you have played.

Clear caches button

Removes all stored media information about CDs and DVDs and devices that you have connected to your computer. This includes information about CDs and DVDs you have played, devices that have been connected to your computer, folders that the Player is monitoring, files on which you have performed a search through the Player, and files that you have deleted from your library. If you click this button, you will need to be connected to the Internet when you play CDs and DVDs to view album art, track names, and so on. In addition, information about any sync relationships you have with portable devices will be deleted. You must disconnect the device from the computer before clicking the button.

Work Offline command

Specifies whether you want to prevent the collection of standard computer information along with information needed for specific features and send it to Microsoft or to an online store operated by a non-Microsoft company/organization. This includes information such as your IP address, operating system version, Player version, a code that identifies the manufacturer of your computer, and your regional and language settings. If you want to prevent this from occurring, you can click the Work Offline command, located on the File menu of the Player. Note that a number of Player features use the connection to the Internet and will not be available if you enable this setting. In addition, this command affects Internet Explorer and will therefore affect other software that may be using Internet Explorer to access the Internet, such as Microsoft Office Outlook and other non-Microsoft programs. For information about the Player features that require an Internet connection and may not work properly if you work offline, see Which settings affect security?

Delete Files button

Empties the cache of synchronized files. If you use the Player to sync to portable devices, it is possible that copies of files that you sync are stored in a cache for performance reasons. You can empty this cache by clicking this button. The button is located on the File Conversion Options dialog box, which you can access by clicking Advanced on the Devices tab of the Options dialog box.

Download codecs automatically check box

Specifies that if a codec required for playback of a piece of content is not on your computer, the Player will silently request that the codec be downloaded from a Microsoft server if you are connected to the Internet and the codec is available. The request contains standard computer information and an ID that identifies the required codec. This check box, located on the Player tab of the Options dialog box, is selected by default; you can clear it if you do not want codecs to download automatically.

Note image Note

  • Some settings are controlled by Group Policy. If a setting is unavailable, contact your system administrator. For more information about Group Policy, see Windows Help and Support.


Which settings affect security in Windows Media Player?

The following table shows settings in Windows Media Player that help you to secure your computer while using the Player. For more information about security settings for the Player, see the Windows Media Player Security statement online. Except where noted, the settings in the table are located on the Security tab of the Options dialog box.

To access the Security tab, click the arrow below the Now Playing tab, click More Options, and then click the Security tab.

This setting

Does this

Run script commands when present check box

Specifies whether to allow scripts to run in digital media content containing scripts. When you download content from the Internet, the scripts are downloaded to your computer and run when you play the content. Web pages may contain scripts that could run on your computer without your knowledge. For example, malicious scripts could perform unwanted actions on your computer, such as deleting files.

Run script commands and rich media streams if the Player is in a Web page check box

Specifies whether script commands in content can run when the Player is embedded in a Web page. This option can also prevent rich media streams from running. Rich media streams contain a slide show or a movie and are created by using Microsoft Producer for Microsoft Office PowerPoint 2003.

Play enhanced content that uses Web pages without prompting check box

Specifies whether the Player warns you before displaying a Web page that uses enhanced content. If you select this option, you will not be warned before opening enhanced content.

Show local captions when present check box

Specifies whether you want Synchronized Accessible Media Interchange (SAMI) captions to be displayed during playback. In some cases, keeping this check box cleared will prevent captions from displaying.

Zone settings button

Opens the Security dialog box for Internet Explorer. You can change the security settings to control how content is displayed in Web pages and change the level of access Web sites have to your computer. However, doing so may affect the operation of some Player features or prevent information from being displayed. The following Player features require an Internet connection and may rely on security zones and security settings in Internet Explorer to display or work properly:

  • Using online stores.

  • Finding, viewing, and updating media information, including album art and information about CDs and DVDs.

  • Acquiring media usage rights for protected files.

  • Downloading codecs, visualizations, portable device drivers, plug-ins, and skins.

  • Media usage rights for protected files may sometimes be obtained from Web pages that contain items such as active content, scripts, or forms. These items are prevented from running on your computer by default. If you obtain media usage rights from a Web page that contains scripting or forms, however, these items may be allowed to run based on the security settings in Internet Explorer. Other features of the Web page, such as signed ActiveX controls, are prevented from running.

Lock icon in the Player status bar

Indicates whether Web sites are "secure" sites, which means they are set up to prevent unauthorized people from seeing the information that is sent to or from those sites. Because the Player supports the security protocols used by secure sites, you can send information from the Player to a secure site with confidence. When you visit a secure site, it automatically sends you its certificate, which is a statement verifying the identity of a person or the security of a site. In addition, a Lock icon is displayed on the Player status bar; you can click the icon to view the certificate. If you are about to send information such as your credit card number to a site that is not secure, the Player can warn you of this. If the site claims to be secure but its security credentials are suspect, the Player can warn you that the site might have been tampered with or might be misrepresenting itself.

Note image Note

  • Some settings are controlled by Group Policy. If a setting is unavailable, contact your system administrator. For more information about Group Policy, see Windows Help and Support.


Remove information about what you have played in Windows Media Player

Show All

When you play digital media content in Windows Media Player, some file history and media information is typically stored on your computer. You can prevent it from being stored if you don't want the information to be available to others who use your computer with the same user account.

click to expand To remove lists of files or URLs you have played

    Lists of files or URLs that you have played are displayed in the following locations in the Player: on the File menu (in the list of recently played files), in the Open URL dialog box, and in the Open dialog box. You can remove the existing lists, and you can prevent the lists from being stored in the future.

  1. Click the arrow below the Now Playing tab, click More Options, and then click the Privacy tab.

  2. To remove the existing lists, click Clear History. This also deletes any changes that you have made to the media information for CDs and DVDs.

  3. To prevent the lists from being stored in the future, clear the Save file and URL history in the Player check box.

  4. To clear the list of files that are displayed in the Open dialog box, empty the list of recently used documents folder on your computer. For information about clearing the list of recent documents, see Windows Help and Support.

click to expand To remove media information about files in your library

    Media information about music files in your library, including files that were created when ripped from CDs, is displayed in the Player. The existing media information cannot be removed, but you can prevent new media information from being retrieved and displayed. Keep in mind, however, that doing so will cause any files created during ripping to be displayed in your library as "Unknown".

  1. Click the arrow below the Library tab, and then click More Options.

  2. In the Automatic media information updates for files area, clear the Retrieve additional information from the Internet check box.

    This also clears the Update music files by retrieving media info from the Internet check box, located on the Privacy tab.

click to expand To remove media information about CDs or DVDs that you have played

    Media information about CDs or DVDs you have played is displayed in several places in the Player. You can remove the existing media information and you can prevent that information from being stored in the future. Keep in mind that if you do so, you will need to be connected to the Internet when you play CDs or DVDs to view album art, track names, album names, and so on.

  1. Click the arrow below the Now Playing tab, click More Options, and then click the Privacy tab.

  2. To remove information about CDs or DVDs you have played, click Clear Caches.

    This also removes stored media information about devices that the Player syncs to, folders that the Player is monitoring, files on which you have performed a search through the Player, and files that you have deleted from your library.

  3. To prevent media information about CDs or DVDs from being stored, clear the Display media information from the Internet check box.

    If the Update music files by retrieving media info from the Internet check box (located in the same area) is selected, it is possible that media information for CDs you have played will reappear in the Player, if you had ripped music from those CDs to your library. To ensure that no media information for CDs is ever retrieved, you can also clear the Update music files by retrieving media info from the Internet check box.

click to expand To remove information about your devices

    For performance reasons, the Player stores information about devices it syncs to in a cache. It is not possible to prevent the information from being stored, but you can remove the existing information.

  1. Click the arrow below the Now Playing tab, click More Options, and then click the Privacy tab.

  2. Click Clear Caches.


Privacy and security considerations when sharing media in Windows Media Player

Show All

If you have a home network, you can use Windows Media Player to share the contents of your library with other people, computers, and devices in your home. Here are answers to some common questions about the privacy and security implications of sharing media in the Player. If you don't see your question listed here, see the Windows Media Player FAQ online.

click to expand If I turn on sharing, will everyone in my home have access to the contents of my Player library?

No. By default, when you turn on sharing, the Player only shares audio, video, and picture files to the devices that you have specifically allowed to access your Player library.

For more information about customizing what media types are shared and which devices have access to your library, see Share your media with other people or devices.

click to expand If I turn on sharing, can other people modify the contents of my Player library?

No. The sharing feature only permits other computers and devices to play the items in your Player library. It doesn't permit other computers or devices to add, remove, or modify items in your library.

click to expand If I turn on sharing, can people access items on my computer that aren't in my Player library, such as my documents?

No. The sharing feature only shares the items in your Player library. If the item isn't in your library, it isn't shared.

click to expand If I turn on sharing, can people outside of my home access the contents of my Player library?

That depends upon the security of your home network. Regardless of whether or not you turn on sharing, you should take steps to secure your home network from intruders. For example:

  • If you use a cable modem or DSL modem to connect to the Internet, consider installing a router that isolates your area of the network from that of your neighbors.

  • If you use a wireless network in your home, it is recommended that you turn on a secure authentication service, such as Wired Equivalent Privacy (WEP) or Wi-Fi Protected Access (WPA).

For more information protecting your computer, see the Protect Your PC Web page.

click to expand If I turn on media sharing, which firewall ports are opened?

When you turn on media sharing, the Player automatically opens several Windows Firewall ports. For more information, see the question about network and firewall requirements in Sharing media on a network.

See also

Which settings affect privacy?

Which settings affect security?


Should I allow a Web page to access my Windows Media Player library?

By default, Windows Media Player does not allow Web pages to access information in your digital media files or in your library. However, any software that you install on your computer, such as programs or plug-ins, has full access to your library.

Web pages may request permission to access your library. For example, Web pages may access the information in your digital media files and library to offer you similar content, advertise sales, or recommend music or video services, such as subscriptions.

Before the Player shares information from your files and library, a message is displayed that notifies you that the Web page is seeking read or full access to your files and library. If you grant the Web page read access, the Web page can scan the contents of your files and library. If you grant the Web page full access, the Web page can scan and change media information in your files and library. Full access can include adding, removing, and changing media information such as a track name in your library and in your digital media files.

If you grant a Web page read or full access to your library, you only grant access for that single instance. In other words, when you open the Web page again, you will be prompted to grant access again.

The Player may also prompt you when skins and programs try to access your library, but usually when a skin or program tries to access your library, it is because the skin or program is changing to a lower access level. For example, the Player may prompt you when a skin switches from full to read access.

See also

Which settings affect privacy?


Customizing the Player

You can change the appearance and functionality of Windows Media Player in many ways. For example, you can change the Player's size, how it looks, and the kind of information that it displays. You can even add new features.

This section covers:

  • Watch visualizations while playing your music
  • Change how the Player looks using skins
  • Add a plug-in to the Player
  • Change the color of the Player
  • Turn off your screen saver when playing video
  • Keep the Player on top of other windows
  • Change how videos look
  • Update the Player
  • Send a media link from within the Player


Watch visualizations while playing your music

Show All

With Windows Media Player, you can watch different visualizations—splashes of color and geometric shapes—whose patterns move with the music that you are playing. Visualizations are grouped into collections that are based on specific themes, such as Ambience or Bars. Some visualizations may have different appearances, depending on the display mode of the Player (full, mini Player, full-screen, or skin). For more information about modes, see Switch between display modes. Note that not all visualizations can be viewed in full screen. The Player includes a number of visualizations. You can also download more visualizations from the Internet.

click to expand To watch a visualization in full mode

  1. Begin playing a song.

  2. Click the Now Playing tab, click the arrow below the tab, point to Visualizations, point to a visualization collection, and then click the name of the visualization that you want to watch.

    Note that as your music plays, you can press CTRL and click the window at the same time to see the next visualization or press SHIFT+CTRL and click the window simultaneously to see the previous visualization in a visualization collection. To view the visualization in full screen, double-click the Video and Visualization pane or press ALT+ENTER. The Player will return to full mode if you click once in the full-screen visualization. Note that not all visualizations can be viewed in full screen.

click to expand To watch a visualization in mini Player mode

  1. In mini Player mode, begin playing a song.

  2. In the upper-right corner of the Player, click the Show Video and Visualization window button Picture of the Show Video and Visualization window button to start viewing the visualization. The last visualization that you viewed appears.

  3. While viewing a visualization, you can do any of the following:

    • To scroll to the next visualization, click the window.

    • To scroll to the previous visualization, press SHIFT and click the window.

    • To jump to the next collection of visualizations, press CTRL and click the window.

    • To jump to the previous collection, press SHIFT+CTRL and click the window.

click to expand To download visualizations from the Internet

  1. Start the Player and connect to the Internet.

  2. Click the arrow below the Now Playing tab, point to Visualizations, and then click Download Visualizations.

    The Visualizations for Windows Media Player Web page appears.

  3. Follow the instructions on the Web page for downloading a visualization. To install a visualization, you must be logged on as an administrator or a member of the Administrators group.

click to expand To stop viewing visualizations

  • Click the arrow below the Now Playing tab, point to Visualizations, and then click No Visualization.


Change how Windows Media Player looks using skins

Show All

It is easy to give Windows Media Player a new look by applying a skin. Each skin has a distinct appearance and most skins incorporate basic Player functions such as playing and the ability to adjust the volume. In fact, some skins offer added functionality such as providing special audio files that you can play, visualizations that you can view, and other custom features. The functionality that a skin provides is determined by its creator. You can select and apply a skin from the standard set of skins that is provided with the Player, and you can download more skins from the Internet. Then you can try different skins until you find one that meets your needs.

To install some skins, you must be logged on as an administrator or a member of the Administrators group.

click to expand To apply a skin

  1. Click the View menu, and then click Skin Chooser.

    If the View menu is not visible, show the Classic Menus.

  2. In the skins list, click the skin that you want to apply. A preview of the skin appears.

  3. Click Apply Skin. This displays the Player in skin mode using the skin that you chose. Now you can explore how the skin works and what it can do.

  4. You must be in full mode before you can change a skin. To return to full mode from a skin, right-click anywhere on the Player, and then click Switch to Full Mode. To return to full mode from mini Player, click the Restore button Picture of the Restore button.

click to expand To download a skin from the Internet

  1. Start the Player and connect to the Internet.

  2. Click the View menu, and then click Skin Chooser.

    If the View menu is not visible, show the Classic Menus.

  3. Click More Skins. The Skins for Windows Media Player Web page appears.

  4. Follow the instructions on the Web page for downloading a skin.

click to expand To delete a skin

  1. Click the View menu, and then click Skin Chooser.

    If the View menu is not visible, show the Classic Menus.

  2. In the skins list, click the skin that you want to delete, and then click the Delete selected skin button Picture of the Delete selected skin button.

See also

Switch between display modes


Add a plug-in to Windows Media Player

Show All

You can add functionality to Windows Media Player with plug-ins such as audio effects, video effects, visualizations, or the ability to play new file formats. The Player includes a number of visualization plug-ins, and you can download additional plug-ins from the Internet. To add or remove a plug-in, you must be logged on as an administrator or a member of the Administrators group.

The following table lists the types of plug-ins that the Player supports.

This type of plug-in | Does this
Visualization | Displays splashes of color and geometric shapes that change with the beat of the audio that is playing.
Now Playing | Adds new functionality to the Now Playing view, including the Enhancements pane.
Window | Adds new functionality in a window other than the Player window.
Background | Adds new functionality behind the scenes. It does not include a user interface.
Video DSP | Performs a video effect, such as changing the color saturation. Digital signal processing (DSP) is a method of analyzing signals (such as audio or video) and changing them to produce a desired effect.
Audio DSP | Performs an audio effect, such as changing the audio output level.
Other DSP | Performs an effect other than a traditional video or audio effect.
Renderer | Plays a content format that is not native to the Player.

click to expand To view information about the plug-ins on your computer

  1. Click the arrow below the Now Playing tab, point to Plug-ins, and then click Options.

  2. In the category list, click a category.

  3. In the list of plug-ins, click a plug-in, and then click Properties to view or modify plug-in settings. Note that some plug-ins do not have settings that can be modified in the Player.

    For more information about a plug-in, you can also check the Web site that you downloaded the plug-in from.

click to expand To download a plug-in from the Internet

  1. Click the arrow below the Now Playing tab, point to Plug-ins, and then click Download Plug-ins.

  2. The Plug-ins for Windows Media Player Web page appears. Follow the instructions on the Web page for downloading a plug-in.

click to expand To enable or disable a plug-in

    You can enable or disable some plug-ins, which allows you to turn an effect on or off when you want. This is also useful when troubleshooting a non-Microsoft plug-in that is not working as expected. Some plug-ins, such as visualizations and renderer plug-ins, remain enabled as long as they are installed on your computer, but they generally are only activated when you take some specific action in the Player that requires the use of the plug-in.

  1. Click the arrow below the Now Playing tab, point to Plug-ins, and then click Options.

  2. In the category list, click a category.

  3. In the list of plug-ins, clear or select the check box next to a plug-in. If a check box is not displayed, then the plug-in can't be disabled.


Change the color of Windows Media Player

Show All

You can change the color of Windows Media Player as it appears in full mode. You can also add a border color that displays around the videos that you watch in either full screen or full mode.

click to expand To change the color of the Player

  1. Click the arrow below the Now Playing tab, point to Enhancements, and click Color Chooser.

  2. Do any of the following:

    • To use a preset color, click the Next preset link until the Player displays in the color that you want to use.

    • To use a custom color, move the Hue and Saturation color sliders until the Player displays the custom color that you want to use.

    • To return to the default color, click the Reset link.

  3. To hide the settings, click the Close button Picture of the Close button in the Enhancements pane.

click to expand To add a color to the video border

  1. Click the arrow below the Now Playing tab, click More Options, and then click the Performance tab.

  2. Click Advanced.

  3. The box under Video border color shows the current color of the border. Click Change, and then do one of the following:

    • To select a color from the Basic colors palette, click the color that you want to use.

    • To create a custom color, click Define Custom Colors, make your color selection, and then click Add to Custom Colors.

  4. In the Color dialog box, click OK to save your color choice.

  5. In the Video Acceleration Settings dialog box, your selection now appears under Video border color. Click OK.

  6. In the Options dialog box, click OK.

  7. You will be prompted to confirm your change. Click OK again.


Turn off your screen saver when playing video

You can configure Windows Media Player to prevent your screen saver from appearing when you are watching a movie, a long video, or a visualization.

  1. Click the arrow below the Now Playing tab, and then click More Options.

  2. On the Player tab, clear the Allow screen saver during playback check box.


Keep Windows Media Player on top of other windows

You can keep Windows Media Player in the foreground while you use other programs.

  1. Click the arrow below the Now Playing tab, and then click More Options.

  2. On the Player tab, select the Keep the Player on top of other windows check box.


Change how videos look in Windows Media Player

With Windows Media Player, you can change how videos that you play look by adjusting hue, brightness, and contrast.

  1. Click the arrow below the Now Playing tab, point to Enhancements, and then click Video Settings.

  2. Move the Hue, Saturation, Brightness, and Contrast sliders to the settings that you prefer.

  3. To hide the settings, click the Close button Picture of the Close button in the Enhancements pane.


Update Windows Media Player

Show All

Windows Media Player is updated from time to time with new features and performance enhancements. You can set how often you want the Player on your computer to automatically check for updates. Also, you can check for updates yourself by visiting the Windows Update Web site. To update the Player, you must be logged on to your computer as an administrator or a member of the Administrators group, and you must be connected to the Internet.

click to expand To set how often the Player automatically checks for updates

  1. Click the arrow below the Now Playing tab, and then click More Options.

  2. On the Player tab, under Check for updates, click the interval option that you want.


Send a media link from within Windows Media Player

You can use Windows Media Player to share a specific portion of an audio or video file with a friend. Note that when you do so, you do not actually send the file itself; instead, you send a link to the file. For this reason, your friend must also have access to the network that the file is located on. Note that it is not possible to send a media link for a live stream from the Internet.

  1. Begin playing a file that your friend can also access over a network (for example, a file on a Web page or a file that is stored in a shared folder).

  2. Click the arrow below the Now Playing tab, point to Enhancements, and then click Media Link for E-Mail.

  3. Use the Slow, Normal, Fast, Previous frame, or Next frame play speed controls to navigate to the desired start point.

  4. Click the Mark In link.

  5. As the file plays, click the Mark Out link at the point where you want the clip to stop.

  6. Click Send media link in e-mail. The Player starts your e-mail program, and attaches a playlist file to a new e-mail message.

  7. To hide the settings, click the Close button Picture of the Close button in the Enhancements pane.


Troubleshooting the Player

This section contains suggestions for troubleshooting common problems that occur when using Windows Media Player.

This section covers:

  • Troubleshoot problems
  • Codecs FAQ

If you do not find answers to your question in this section, see the Troubleshooting Windows Media Player Web page. This page includes links to a variety of support resources, including the Readme, the Windows Media Player Frequently Asked Questions (FAQ) page, and the Windows Media Player newsgroup.


Troubleshoot problems in Windows Media Player

Show All

Here are solutions to some common problems with Windows Media Player.

click to expand How do I get the latest troubleshooting information online?

If you encounter a problem while using Windows Media Player, see the Troubleshooting Windows Media Player Web page.

In addition to information about common problems, this page includes links to various technical support resources, the Windows Media Player Frequently Asked Questions (FAQ) page, the Windows Media Player Readme, and the Windows Media Player newsgroup.

click to expand How do I display detailed information about the Player components installed on my computer?

If you need to see a list of the Windows Media Player components installed on your computer, do the following:

  1. On the Help menu, click About Windows Media Player.

    If the Help menu is not visible, show the Classic Menus.

  2. On the About Windows Media Player dialog box, click Technical Support Information.

    Your Web browser will open a page that includes information about the related binary files, codecs, filters, plug-ins, and services installed on your computer. A technical support person might be able to use this detailed information to help you troubleshoot problems on your computer.

click to expand I encountered an error message. How do I find out what its error code is?

Most error message dialog boxes include a Web Help button. If you are online, click the button to see what the error code number is.

Error codes consist of eight alphanumeric characters, such as C00D1197. If you see a character in an error code that looks like it could be either the number zero or the capital letter "O," it is the number zero.

click to expand How do I learn more about a particular error message?

Most error message dialog boxes include a Web Help button. If you are online, click the button to see what information is available to help you resolve the problem that you have encountered.

The information on the Web Help pages is updated periodically as Microsoft learns more about potential causes and solutions of a given error. If you don't see a solution for an error that you encounter today, try checking back in the future to see if a solution has been identified.

click to expand Why does a red or blue button appear beside some items in the library or List pane?

When the Player encounters an error or other issue, an error message dialog box is usually displayed. However, in some cases, the Player might display an Error button Picture of the Error button or an Information button Picture of the Information button next to the item in the library or List pane.

Click the button to see a list of options for resolving the problem or for displaying more details about the issue. You can also hover your mouse pointer over the button to see additional information.


Codecs FAQ

Show All

Here are answers to some common questions about codecs. If you don't see your question listed here, see the Windows Media Player FAQ online.

click to expand What is a codec?

A codec is software that is used to compress or decompress a digital media file, such as a song or video. Windows Media Player and other programs use codecs to play and create digital media files.

For example, when you rip a song from an audio CD to your computer, the Player uses the Windows Media Audio codec to compress the song into a compact WMA file. When you play that WMA file (or any WMA file that might be streamed from a Web site), the Player uses the Windows Media Audio codec to decompress the file so the music can be played through your speakers.

click to expand Which codecs are included with the Player?

There are hundreds of audio and video codecs in use today. Some have been created by Microsoft, but the vast majority of codecs have been created by other companies, organizations, or individuals. By default, the Windows operating system and the Player include a number of the most popular codecs, such as Windows Media Audio, Windows Media Video, and MP3.

There may be times, however, when you want to play content that was compressed with a codec that Windows or the Player doesn't include by default (for example, a file compressed with the DivX video codec or the Ogg Vorbis audio codec). Because the Player is extensible, in many cases you can download the necessary codec from the Web for free or for a fee. And, in some cases, the Player can automatically use the codecs installed by other digital media playback and creation programs on your computer.

Some codecs are available for download from the WMPlugins.com Codec Web page.

click to expand Why do I get a message that says my computer is missing a codec?

If you get a message that says that your computer is missing a codec, you are probably trying to play, burn, or sync a file that was compressed by using a codec that Windows or the Player doesn't include by default. In many cases, you can download and install the missing codec by clicking the Web Help button in the error message dialog box.

click to expand What are encoders and decoders?

A codec can consist of two components: an encoder and a decoder. The encoder performs the compression (encoding) function and the decoder performs the decompression (decoding) function.

Some codecs include both of these components and some codecs only include one of them.

click to expand What is a DVD decoder?

A DVD decoder is another name for an MPEG-2 decoder. The content on DVD-Video discs is encoded in the MPEG-2 format, as is the content in DVR-MS files (Microsoft Recorded TV Shows) and some AVI files. To play these items in the Player, you need a compatible DVD decoder installed on your computer.

If your computer has a DVD drive, it probably already has a DVD decoder installed on it. However, if you encounter an error message that indicates that you are missing a compatible DVD decoder, click the Web Help button on the error message dialog box to determine how to obtain one.

click to expand Why can't I play a file at work that I can play at home?

This might happen if your computer at work doesn't have the same codecs installed on it that your computer at home does.

For example, if you are trying to play a DVD-Video disc or DVR-MS file on your computer at work and that computer doesn't have a DVD decoder installed on it, you won't be able to play that item until you install a compatible DVD decoder on your work computer.

Note that your system administrator at work might use Group Policy to prevent the Player from automatically downloading missing codecs or to prevent you from installing new codecs manually.

click to expand I installed a missing codec, but I still can't play the file. Why?

Codecs can be written for 32-bit or 64-bit operating systems. If you are running a 64-bit version of Windows, you need to install 64-bit codecs. If you install a 32-bit codec on a 64-bit operating system, for example, the Player might not be able to play any files that require that codec.

Note that many older codecs are only available in 32-bit versions. If the codec provider does not specify whether its codec is 32-bit or 64-bit, the codec is likely 32-bit. For more information, contact the codec provider.

click to expand How do I tell which codecs are installed on my computer?

For information about how to display a list of codecs and other Player-related components installed on your computer, see Troubleshoot problems.


Accessibility for people with disabilities

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Windows Media Player more accessible for people with disabilities:

  • Accessibility features in Windows Media Player
  • Accessibility features in Windows Media Player Help
  • Accessibility products and services from Microsoft

Note Image Note

  • The information in this section may apply only to users who license Microsoft products in the United States. If you obtained this product outside of the United States, you can use the subsidiary information card that came with your software package or visit the Microsoft Accessibility Web site for a list of telephone numbers and addresses for Microsoft support services. You can contact your subsidiary to find out whether the type of products and services described in this section are available in your area. Information about accessibility is available in other languages, including Japanese and French.


Accessibility features in Windows Media Player

In addition to accessibility features and utilities in Windows, the following features make Windows Media Player more accessible for people with disabilities:

  • Keyboard shortcuts
  • Show captions or subtitles
  • Change volume settings
  • Change the color of the Player
  • Change how videos look

Related topics

  • Accessibility for people with disabilities


Windows Media Player keyboard shortcuts

All features and buttons in Windows Media Player are accessible to you by using the keyboard only. The Player provides a variety of keyboard shortcuts for the more commonly used commands and buttons that you can use to control the Player from your keyboard or with macros. The following table shows the various keyboard shortcuts for the Player.

To do this | Use this keyboard shortcut
Zoom to 50% | ALT+1
Zoom at 100% | ALT+2
Zoom to 200% | ALT+3
Toggle display for full-screen video | ALT+ENTER
Retrace your steps back through your most recent views in the Player | ALT+LEFT ARROW
Retrace your steps forward through your most recent views in the Player | ALT+RIGHT ARROW
Switch to full-screen mode | CTRL+1
Switch to skin mode | CTRL+2
Switch to the first view in a media category after Recently Added (such as Artist in Music) | CTRL+7
Switch to the second view in a media category after Recently Added (such as Album in Music) | CTRL+8
Switch to the third view in a media category after Recently Added (such as Songs in Music) | CTRL+9
Previous (item or chapter) | CTRL+B
Put the focus on the search box in the library | CTRL+E
Next (item or chapter) | CTRL+F
Turn shuffle on or off | CTRL+H
Eject CD or DVD (note that this does not work on computers equipped with two or more CD or DVD disc drives) | CTRL+J
In full mode, show or hide the Classic Menus (menu bar) | CTRL+M
Create a new playlist | CTRL+N
Open a file | CTRL+O
Play or pause playing | CTRL+P
Stop playing | CTRL+S
In audio playback, turn repeat on or off | CTRL+T
Specify a URL or path to a file | CTRL+U
Close or stop playing a file | CTRL+W
Rewind video | CTRL+SHIFT+B
Turn captions and subtitles on or off | CTRL+SHIFT+C
Fast forward through video or music | CTRL+SHIFT+F
Use a fast play speed | CTRL+SHIFT+G
Play at normal speed | CTRL+SHIFT+N
Use a slow play speed | CTRL+SHIFT+S
Rate an item that is playing as zero stars | CTRL+Windows logo key+0
Rate an item that is playing as one star | CTRL+Windows logo key+1
Rate an item that is playing as two stars | CTRL+Windows logo key+2
Rate an item that is playing as three stars | CTRL+Windows logo key+3
Rate an item that is playing as four stars | CTRL+Windows logo key+4
Rate an item that is playing as five stars | CTRL+Windows logo key+5
Return to full mode from full screen | ESC
Display Windows Media Player Help | F1
Edit media information on a selected item in the library | F2
Add media files to the library | F3
Switches the view of items in the Details pane using the options available with the View Options button | F4
Refresh information in the panes | F5
Increase size of album art | F6
Decrease size of album art | SHIFT+F6
Mute volume | F7
Decrease volume | F8
Increase volume | F9
Show the Classic Menus (menu bar) | F10
Switch to full screen mode | F11

See also

View a video using the entire screen


Accessibility features in Windows Media Player Help

Windows Media Player Help includes features that make it accessible to a wider range of users, including those who have limited dexterity, low vision, or other disabilities. In addition, Windows Media Player Help is available on the Web at the Microsoft Web site.

The following topics provide ways in which you can make the Help window more accessible:

  • To change the appearance of a Help topic
  • To change the color of the background or text in Help
  • To change the font in Help
  • Keyboard shortcuts for using the Help window

Related topics

  • Accessibility for people with disabilities


To change the appearance of a Help topic

  1. To customize the colors, font styles, and font sizes used in Help, open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Select Ignore colors specified on Web pages, Ignore font styles specified on Web pages, and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To change the colors used in Help, see To change the color of the background or text in Help. To change the font, see To change the font in Help.

Related topics

  • Accessibility features in Windows Media Player Help


To change the color of the background or text in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. Then select Ignore colors specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the colors used in Help, on the General tab, click Colors. Clear the Use Windows Colors check box, and then select the font and background colors that you want to use.

Note Image Note

  • If you change the background color of the Help topics in the Help window, the change also affects the background color when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media Player Help


To change the font in Help

  1. Open the Help window.
  2. Click Options, and then click Internet Options.
  3. On the General tab, click Accessibility. To use the same settings as those used in your instance of Microsoft Internet Explorer, select Ignore font styles specified on Web pages and Ignore font sizes specified on Web pages. You also can choose to use the settings specified in your own style sheet.
  4. To customize the font style used in Help, on the General tab, click Fonts, and then click the font style that you want.

Note Image Note

  • If you change the font of the Help topics in the Help window, the change also affects the font when you view a Web page in Microsoft Internet Explorer.

Related topics

  • Accessibility features in Windows Media Player Help


Keyboard shortcuts for using the Help window

By using the following keyboard shortcuts in Help, you can quickly accomplish many common tasks.

To do this | Use this keyboard shortcut
Display the Help window | F1
Switch the cursor between the Help topic pane and the navigation pane (Contents, Search, and Index tabs) | F6
Select the next hidden text or hyperlink | TAB
Select the previous hidden text or hyperlink | SHIFT+TAB
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink | ENTER
Display the Options menu to access any Help toolbar command | ALT+O
Hide or show the pane containing the Contents, Search, and Index tabs | ALT+O, and then press T
Display the previously viewed topic | ALT+O, and then press B
Display the next topic in a previously displayed sequence of topics | ALT+O, and then press F
Return to the specified home page | ALT+O, and then press H
Stop the Help window from opening a Help topic (useful if you want to stop a Web page from downloading) | ALT+O, and then press S
Open the Internet Options dialog box for Microsoft Internet Explorer, where you can change accessibility settings | ALT+O, and then press I
Refresh the topic (useful if you have linked to a Web page) | ALT+O, and then press R
Print all topics in a book or a selected topic only | ALT+O, and then press P
Close the Help window | ALT+F4

Related topics

  • Accessibility features in Windows Media Player Help


Accessibility products and services from Microsoft

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features, products, and services that make Microsoft Windows more accessible for people with disabilities:

  • Accessibility features of Windows
  • Documentation in alternative formats
  • Customer service for people with hearing impairments
  • For more information

Note image Note

  • The information in this section may apply only to users who license Microsoft products in the United States. If you obtained this product outside of the United States, you can use the subsidiary information card that came with your software package or visit the Microsoft Accessibility Web site for a list of telephone numbers and addresses for Microsoft support services. You can contact your subsidiary to find out whether the type of products and services described in this section are available in your area. Information about accessibility is available in other languages, including Japanese and French.

Related topics

  • Accessibility for people with disabilities


Accessibility features of Windows

The Windows operating system has many built-in accessibility features that are useful for individuals who have difficulty typing or using a mouse, are blind or have low vision, or who are deaf or hard-of-hearing. The features are installed during Setup. For more information about these features, see Help in Windows and the Microsoft Accessibility Web site.

Free step-by-step tutorials

Microsoft offers a series of step-by-step tutorials that provide detailed procedures for adjusting the accessibility options and settings on your computer. This information is presented in a side-by-side format so that you can learn how to use the mouse, the keyboard, or a combination of both.

To find step-by-step tutorials for Microsoft products, see the Microsoft Accessibility Web site.

Assistive technology products for Windows

A wide variety of assistive technology products are available to make computers easier to use for people with disabilities. You can search a catalog of assistive technology products that run on Windows at the Microsoft Accessibility Web site.

If you use assistive technology, be sure to contact your assistive technology vendor before you upgrade your software or hardware to check for possible compatibility issues.

Related topics

  • Accessibility products and services from Microsoft


Documentation in alternative formats

If you have difficulty reading or handling printed materials, you can obtain the documentation for many Microsoft products in more accessible formats. You can view an index of accessible product documentation at the Microsoft Accessibility Web site.

In addition, you can obtain additional Microsoft publications from Recording for the Blind & Dyslexic, Inc (RFB&D). RFB&D distributes these documents to registered, eligible members of their distribution service. For information about the availability of Microsoft product documentation and books from Microsoft Press, contact:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Telephone number from within the United States: (800) 221-4792
Telephone number from outside the United States and Canada: (609) 452-0606
Fax: (609) 987-8116

Recording for the Blind & Dyslexic Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.

Related topics

  • Accessibility products and services from Microsoft


Customer service for people with hearing impairments

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service.

Customer service

You can contact Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 AM and 5:30 PM Pacific time, Monday through Friday, excluding holidays.

Technical assistance

For technical assistance in the United States, you can contact Microsoft Product Support Services on a text telephone at (800) 892-5234 between 6:00 AM and 6:00 PM Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 AM and 8:00 PM Eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.

Related topics

  • Accessibility products and services from Microsoft


For more information

For more information about how accessible technology for computers helps to improve the lives of people with disabilities, see the Microsoft Web site.

Related topics

  • Accessibility products and services from Microsoft


Glossary

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

You can also read glossary terms within the text of Help by clicking the underlined glossary term links. After you click a glossary link, the glossary term and definition appear in a pop-up window. To close the window, click anywhere on the screen.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

A

administrator

A person responsible for planning, configuring, and managing the day-to-day operation of a computer network.

administrator account

A type of user account that allows complete access to the computer. Administrators can make any desired changes. This account type is not recommended for daily use, and should only be used when necessary.

analog

The traditional format in which audio and video are transmitted by using a wave or analog signal. An analog signal may not work with digital speakers; computers use digital signals.

Back to Top

B

bandwidth

The data transfer capacity of a transmission medium.

See Also:

bit rate

bit rate

The number of bits transferred per unit of time, typically expressed in bits per second.

See Also:

bandwidth ,

multiple bit rate (MBR)

broadband

A transmission medium designed for high-speed data transfers over long distances. Cable modem services and DSL are examples of broadband networks.

buffer

An area of memory reserved for temporarily holding data before that data is used by a receiving device or application. Buffering protects against the interruption of data flow.

burn

To copy files to a recordable CD or DVD.

Back to Top

C

caption

Text that accompanies images or videos, as either a supplemental description or a transcript of spoken words.

CD

See definition for: compact disc (CD)

CD burner

See definition for: disc burner

CD-R

See definition for: compact disc-recordable (CD-R)

CD-RW

See definition for: compact disc-rewritable (CD-RW)

chapter

In a DVD, a portion of a title, such as a scene or sequence. A title can contain one or more chapters.

See Also:

title

closed disc

A CD or DVD that has gone through a process during burning that makes the contents of the disc visible to playback programs and devices. After a disc is closed, no additional data can be burned to it. Some playback devices, such as some portable, home, and car CD and DVD players, cannot play discs that have not been closed.

codec

An abbreviation for compressor/decompressor. Software or hardware used to compress and decompress digital media.

See Also:

compression ,

Windows Media Audio codec ,

Windows Media Screen codec ,

Windows Media Video codec

compact disc (CD)

An optical storage medium for digital data.

compact disc-recordable (CD-R)

A type of CD onto which files can be copied, but not erased or replaced.

compact disc-rewritable (CD-RW)

A type of CD onto which files can be copied, erased, and replaced.

compression

A process for removing redundant data from a digital media file or stream to reduce its size or the bandwidth used.

See Also:

codec

connection speed

The maximum rate, in bits per second, at which data can be transferred between a network and a computer or device.

content provider

The person or organization that distributes Windows Media files (for example, a record, movie, or streaming media company). The content provider may also be the content owner.

Back to Top

D

decrypt

To convert encrypted content back into its original form.

See Also:

encrypt

digital

In computing, a characteristic of data that is represented as binary digits (zeros and ones).

disc burner

A device used to copy files to recordable CDs and DVDs.

domain

A collection of computers on a network that share a common database and security policy. A domain is administered as a unit with common rules and procedures, and each domain has a unique name.

download

To copy a file from one computer to another using a modem or network.

See Also:

streaming

Back to Top

E

encode

To convert audio and video content to a specified digital format, usually involving compression technology or encryption technology.

encrypt

To programmatically disguise content to hide its substance.

See Also:

decrypt

error correction

In Windows Media Player, a process to ensure that digital audio data is read from the CD-ROM drive accurately during playback or copying. Using error correction can prevent undesirable noises that are not part of the original material.

Back to Top

F

file format

The structure or organization of data in a file. File format is usually indicated by the file name extension.

See Also:

file name extension ,

file type

file name extension

A set of characters added to the end of a file name that identifies the file type or format.

See Also:

file format

file type

The format of a file, commonly indicated by its file name extension. The file type indicates which program the file was created in and can be opened with.

See Also:

file format ,

file name extension

firewall

A security solution that segregates one portion of a network from another portion, allowing only authorized network traffic to pass through according to traffic filtering rules.

frame

One of many sequential images that make up video.

frame rate

The number of video frames displayed per second. Higher frame rates generally produce smoother movement in the picture.

full mode

The default operational state of Windows Media Player from which all of its features are available. The Player can also appear in skin mode, mini Player mode, or full-screen mode.

See Also:

skin mode

Back to Top

G

genre

In Windows Media Technologies, the type of music, such as rock or classical.

Back to Top

H

HTTP

See definition for: Hypertext Transfer Protocol (HTTP)

Hypertext Transfer Protocol (HTTP)

A standard set of rules that computers use to transfer information over the Internet.

Back to Top

L

library

In Windows Media Player, a database that contains information about digital media files on a computer, a network drive, or the Internet.

Back to Top

M

MBR

See definition for: multiple bit rate (MBR)

See Also:

bit rate

media information

Information about digital media content such as the artist, title, album, producer, and so forth. Also known as metadata or tags.

media usage rights

Permissions to use a protected Windows Media-based file in a particular way. For example, a content provider, such as an online music store, can grant you the right to play a song on your computer (a play right), to burn the song to an audio CD (a burn right), or to sync the song to a portable device (a sync right). The content provider dictates the terms of the rights (for example, which rights it grants to you and for how long) and the Windows Media Digital Rights Management (DRM) component enforces those rights. Also known as a license.

Microsoft Media Server (MMS) protocol

A proprietary protocol using UDP or TCP to deliver content as a unicast stream.

See Also:

Transmission Control Protocol (TCP) ,

User Datagram Protocol (UDP)

MIDI

See definition for: Musical Instrument Digital Interface (MIDI)

mini Player mode

The operational state of Windows Media Player in which the Player is minimized to the Windows taskbar while still providing access to playback controls and the ability to view visualizations and information about the currently playing item.

See Also:

skin mode

Moving Picture Experts Group (MPEG)

The committee that creates international standards for coding audio-visual information to a digital, compressed format. The acronym MPEG is appended to the beginning of individual specifications developed by the committee. For example, MPEG-2 refers to the standard ISO/IEC - 11172.

MPEG

See definition for: Moving Picture Experts Group (MPEG)

multicast

A content delivery method in which a single stream is transmitted from a media server to multiple clients. The clients have no connection with the server. Instead, the server sends a single copy of the stream across the network to multicast-enabled routers, which replicate the data. Clients can then receive the stream by monitoring a specific multicast IP address and port.

multiple bit rate (MBR)

A characteristic of a data stream in which the same content is encoded at several different bit rates in order to optimize content delivery.

Musical Instrument Digital Interface (MIDI)

A specification of the MIDI Manufacturers Association (MMA). The specification defines a protocol for describing music data, such as note on and note off messages; a file format for storing music data, called Standard MIDI; and a standard hardware interface.

Back to Top

O

online store

In Windows Media Player, a Web site that offers digital media content by subscription or for purchase.

Back to Top

P

partnership

See definition for: sync partnership

playlist

A list of digital media content.

port

A hardware- or software-based interface used to transfer information between a computer and other devices. Hardware ports are physical connections that are visible on the outside of the computer. Software ports are the numbered gateways in programs that software programs use to exchange information.

portable device

A mobile electronic device that can exchange files or other data with a computer or device. Examples of portable devices include Pocket PCs, portable digital music players, and Smartphones.

protocol

A standard set of formats and procedures that enable computers to exchange information.

See Also:

Microsoft Media Server (MMS) protocol ,

Real-Time Streaming Protocol (RTSP) ,

Transmission Control Protocol (TCP) ,

User Datagram Protocol (UDP)

proxy server

A server located on a network between client software, such as a Web browser, and another server. It intercepts all requests to the server to determine whether it can fulfill them itself. If not, it forwards the request to another server.

Back to Top

R

Real-Time Streaming Protocol (RTSP)

A network protocol, defined in RFC 2326, for controlling one or more digital media streams or a presentation (the aggregate of related media streams).

rip

To copy digital media content from an audio CD. Content may be converted to a different format during the ripping process.

router

A device that sends, or routes, information between two networks (for example, between a home network and the Internet). Routers find the quickest paths for sending information, which makes network connections faster. Routers can be wired or wireless.

Back to Top

S

skin

A user interface that provides an alternative appearance and customized functionality for software such as Windows Media Player.

skin mode

An operational state of Windows Media Player in which its user interface is displayed as a skin.

See Also:

full mode ,

mini Player mode ,

skin

streaming

A method of delivering digital media across a network in a continuous flow. The digital media is played by client software as it is received. Typically, streaming makes it unnecessary for users to download a file before playing it.

subnet

A network that forms part of a larger computer network. Subnets are connected through routers. Each subnet has a separate range of IP addresses.

subscription service

A service offered by an online store that lets you rent Windows Media-based files for a recurring fee, after which you can play or sync the files, depending on the service.

sync partnership

The set of rules on a computer and a portable device that allow digital media files and other information to be synchronized. Also known as a relationship.

synchronization

In Windows Media Player, the process of maintaining digital media files on a portable device based on the rules in a partnership or actions specified by the user. This may require copying digital media files from a computer to a device, updating information on the device, or deleting files from the device.

Back to Top

T

TCP

See definition for: Transmission Control Protocol (TCP)

title

On a DVD, typically, the largest unit of content, such as a movie or TV program, is called a title. There is not a consistent standard across all DVDs and because of this, a DVD can contain one or more titles.

See Also:

chapter

track

An individual song or other discrete piece of audio content.

Transmission Control Protocol (TCP)

The protocol within TCP/IP that governs the breakup of data messages into packets to be sent via IP, and the reassembly and verification of the complete messages from packets received by IP.

Back to Top

U

UDP

See definition for: User Datagram Protocol (UDP)

User Datagram Protocol (UDP)

A connectionless transport protocol in the TCP/IP protocol stack that is used in cases where some packet loss is acceptable, for example, with digital media streams.

Back to Top

V

visualization

In Windows Media Player, a graphical display that changes in response to the audio signal.

Back to Top

W

Windows Media Audio (WMA)

An audio file or stream in Windows Media Format. The audio content of the file or stream is encoded with one of the Windows Media Audio codecs.

See Also:

Windows Media Video (WMV)

Windows Media Audio codec

A codec used to compress and decompress audio streams.

See Also:

codec ,

Windows Media Screen codec ,

Windows Media Video codec

Windows Media file

A file that contains audio, video, or script data. The content of the file is encoded with one of the Windows Media codecs.

See Also:

Windows Media Audio (WMA) ,

Windows Media Video (WMV)

Windows Media Format

The format of a digital media file or stream that was encoded with Windows Media codecs.

See Also:

codec ,

Windows Media Audio (WMA) ,

Windows Media Video (WMV)

Windows Media Screen codec

A codec used to compress and decompress sequences of computer screen images.

See Also:

codec ,

Windows Media Audio codec ,

Windows Media Video codec

Windows Media Video (WMV)

A video file or stream in Windows Media Format. The video content of the file or stream is encoded with one of the Windows Media Video codecs.

See Also:

Windows Media Audio (WMA)

Windows Media Video codec

A codec used to compress and decompress video streams.

See Also:

codec ,

Windows Media Audio codec ,

Windows Media Screen codec

WMA

See definition for: Windows Media Audio (WMA)

WMV

See definition for: Windows Media Video (WMV)

Back to Top


Speaker settings in Windows Media Player

Use the Speaker Properties dialog box to select the audio output device you want to use and to change speaker settings as follows:

  • If you have a Sony/Philips digital interface (S/PDIF) connector between your computer and your consumer audio device, you can play files that have been encoded using the Windows Media Audio 9 Professional codec over the connector. Note that DirectX 9.0b or later must be installed on your computer to use the S/PDIF connector. For information about installing DirectX, see the Microsoft DirectX Web site.

To access these options, do the following:

  1. Click the arrow below the Sync tab, and then click More Options.

  2. In the Devices tab, click Speakers, and then click Properties.

  3. Select the options you want.


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted in examples herein are fictitious. No association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2006 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows NT, Windows Server, Windows Vista, Active Directory, ActiveSync, ActiveX, Direct3D, DirectDraw, DirectInput, DirectMusic, DirectPlay, DirectShow, DirectSound, DirectX, Expression, FrontPage, HighMAT, Internet Explorer, JScript, Microsoft Press, MSN, Outlook, PlaysForSure logo, PowerPoint, SideShow, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, WebTV, Windows Media, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

This product contains graphics filter software; this software is based in part on the work of the Independent JPEG Group.

GIF decompression code, copyright 1990, David Koblas. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This software is provided "as is" without express or implied warranty.

All other trademarks are property of their respective owners.

Some of the links in this document might let you leave Microsoft's site. The linked sites are not under the control of Microsoft and Microsoft is not responsible for the contents of any linked site or any link contained in a linked site, or any changes or updates to such sites. Microsoft is not responsible for webcasting or any other form of transmission received from any linked site. Microsoft is providing these links to you only as a convenience, and the inclusion of any link does not imply endorsement by Microsoft of the site.


Windows Media Player: Player tab

Click one of the following links to find information about using the options on the Player tab of the Options dialog box.

  • Update Windows Media Player

  • Codecs FAQ

  • Keep Windows Media Player on top of other windows

  • Turn off your screen saver when playing video

  • Add media files automatically

  • Play an audio or video file


Windows Media Player: Devices tab

You can access a number of settings for your CD or DVD drive, portable devices that you sync using the Player, computer monitor, and speakers from the Devices tab of the Options dialog box. (Note that a portable device will only appear in the list when it is connected to your computer.) Typically, it is not necessary to change the settings unless you are experiencing problems.

  • Troubleshoot problems

  • Sync FAQ

  • Speaker settings